debian-cd (3.2.2) UNRELEASED; urgency=medium

  [ Steve McIntyre ]
  * Start development for trixie
  * Remove old config and data for jessie and stretch
  * Add a way to exclude named firmware packages from media, so we can
    control which packages are included - see
    tasks/$codename/firmware-exclude. Closes: #1032071
  * Tweak sizes slightly for BD media.
  * Look for firmware in /usr/lib/firmware as well as /lib/firmware.
    Closes: #1059858
  * Fix counting of images at build time. Closes: #1063858
  * make_disc_trees.pl: if files will not fit on media, fail loudly
    rather than sitting in a loop forever. Fail properly in #1069682.
  * Add initial support for making riscv64 images

  [ Aurelien Jarno ]
  * Add support for UEFI booting on riscv64

  [ Guido Berhoerster ]
  * Update DebianEdu installer banner and syslinux splash image
    for bookworm

  [ Samuel Thibault ]
  * Add hurd-amd64 case.

  [ Arnaud Rebillout ]
  * Don't generate fw pattern file if DEP11 is set to 0
  * Support a fonts directory, and make *.pf2 optional

  [ dandan zhang ]
  * Add basic support for loongarch64

 -- Steve McIntyre <93sam@debian.org>  Mon, 12 Jun 2023 08:36:50 +0100

debian-cd (3.2.1) unstable; urgency=medium

  [ James Addison ]
  * firmware: use hard links rather than symlinks. Closes: #1031696

  [ Steve McIntyre ]
  * Kill loadlin, nobody has DOS any more. Also Stop copying the
    /tools directory from the mirror, as that's all that's left there
    now.

  [ Cyril Brulebois ]
  * tools/generate_di+k_list: Add zstd alongside initramfs-tools and
    busybox, since it's now getting installed by base-installer (starting
    with 1.212).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 30 Apr 2023 18:11:17 +0200

debian-cd (3.2.0) unstable; urgency=medium

  [ Cyril Brulebois — high-level summary ]
  * This release implements many changes related to the 2022 General
    Resolution about non-free firmware. In particular, this means adding
    metadata related to firmware packages, allowing hw-detect to configure
    apt-setup according to firmware packages getting deployed. In the
    general case, systems installed using netinst should only get main and
    non-free-firmware (if such firmware packages are needed) configured,
    without contrib or non-free.
  * Builds involving local packages (LOCAL and LOCALDEBS settings) were
    also reworked. This feature is not used for official builds, and some
    catch-up was needed (apt becomes stricter over time). The expected
    layout for local packages was clarified (see comments in CONF.sh), and
    while it is expected to be clearer and better than it was, it might
    require some local adjustments.

  [ Cyril Brulebois ]
  * CONF.sh (and README):
     + Clarify expected layout below the LOCALDEBS directory.
     + Clarify relationships between NONFREE, NONFREE_COMPONENTS, and
       FORCE_FIRMWARE.
     + Keep only non-free-firmware in NONFREE_COMPONENTS, as the
       interesting firmware packages have been moved from non-free to
       non-free-firmware.
     + Unset CONTRIB for consistency: NONFREE is unset, and packages in
       contrib are usually there because they depend on packages in
       non-free.
  * apt-selection:
     + Annotate local repositories with [trusted=yes].
  * easy-build.sh (and Packages-gen):
     + Create top-level Release files for local packages, allowing apt to
       validate Packages files (when UPDATE_LOCAL=1 is set).
     + Create both compressed and uncompress Packages files: apt is
       unhappy if uncompressed files are missing; the package indexing
       done in various places is unhappy if compressed files are missing.
  * generate_firmware_patterns:
     + Refresh modalias information for the firmware-sof-signed package
       (using linux-image-6.1.0-1-amd64 version 6.1.4-1).
     + Make sure dep11 metadata files are present.
     + Rewrite to work on a single package at once (working on ALL was
       mostly interesting during early development).
  * generate_firmware_tasks:
     + Search for firmware packages only in the configured components,
       instead of searching in all available components. This means main
       in any case, while contrib, non-free, and non-free-firmware depend
       on the CONTRIB, NONFREE, NONFREE_COMPONENTS, and related variables.
     + Implement support for pseudo-option --list-filenames, making the
       firmware package search reusable.
  * make-firmware-image:
     + Use generate_firmware_task to find firmware packages.
     + Implement firmware/dep11 generation for bookworm and later. This
       tool is responsible for generating the firmware tarball, zip, and
       cpio archives that can be used to extend installation media which
       don't contain firmware packages. This allows hw-detect to benefit
       from the same metadata as found in e.g. the netinst image.
  * make_disc_trees.pl:
     + Add leading / to paths in Contents-firmware indices, making it
       easier to use by hw-detect.
     + Add component column to Contents-firmware indices, making it
       possible for hw-detect to set the right apt-setup/$component
       parameters.
     + Store $package.component files alongside $package.patterns files
       for firmware packages, also to help hw-detect.
     + Create /firmware before adding symlinks, and error out if symlink
       creation fails.
     + Improve block calculation for firmware-related metadata files.
     + Merge “local” udebs into “main” explicitly.
     + Rewrite .disk/base_components if needed: setting LOCAL=1 results
       in debootstrap's being called with --components=main,local while
       there might be no debs on the image (depending on the contents of
       the LOCALDEBS directory)… in that case, rewrite base_components
       without “local”.
  * start_new_disc:
     + Remove /dists/local commodity symlink: it's unclear what it is or
       was useful for, and it generated a lot of confusion during this
       development cycle (local = component or codename?!), masking other
       shortcomings.
  * Replace all gzip -9 variations with pigz -9nm ones.
  * Add pigz to Depends accordingly.
  * Add uuid-runtime to Depends (missed in 3.1.36).

  [ Samuel Thibault ]
  * Fix missing %install% replacements, fixing support for automatically
    starting a specific entry when a timeout is reached.

  [ Steve McIntyre ]
  * make-firmware-image: Add a list file to show what's included in
    the firmware archives.
  * Add new config option DISABLE_UEFI_32 to control mixed-mode EFI on
    x86 builds. Closes: #1031424
  * Add iucode-tool to the list of base packages wanted for amd64 and
    i386, so we will have it available for installing CPU microcode.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 24 Feb 2023 17:04:14 +0100

debian-cd (3.1.36) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start bookworm development, copy the bullseye dirs to bookworm as
    a start.
  * Use $CODENAME/updates for security pre-bullseye, or
    $CODENAME-security for bullseye onwards.
  * Tweak grub boot menu highlight graphics to work again - switch
    from greyscale to colour, as newer grub has removed greyscale PNG
    support. Closes: #1013079, #1013432.
  * Add non-free-firmware support
    + Add an extra config variable NONFREE_COMPONENTS to declare where
      to look for non-free packages.
  * Add a Contents-firmware file to help with looking up firmware
    packages in d-i.
  * Change how we find the installer when booting via grub-efi:
    instead of looking for the .disk/info file, use .disk/id/$UUID
    instead. Closes: #1024346, #1024720.
  * Add 32-bit EFI binaries to all amd64 images too, so we no longer
    need a multi-arch image for Bay Trail etc.
  * Stop adding win32-loader stuff, it's dead.

  [ Cyril Brulebois ]
  * generate_firmware_patterns: Drop support for the temporary --test
    option.

  [ Raphaël Hertzog ]
  * Add cryptsetup-initramfs to tools/generate_di+k_list as cryptsetup 2.4.0
    dropped the recommends on the package and it's needed by d-i.
  * Fix install_firmwares_initrd to not fail when the firmware is not found.
  * Implement recursive lookup of Recommends and Suggests in sort_deps.
    Closes: #601203
  * Remove tools/sort_deps_edu since its only purpose was to try to implement
    the above recursive lookup.
  * Remove dead code in sort_deps and improve generated log messages.

  [ Wolfgang Schweer ]
  * data/bookworm: Use Debian Edu 12 installer logo and syslinux splash image
    from src:debian-edu-artwork 2.12.0.1-1 (showing version number 12).
  * tasks/sid: Replace bullseye with bookworm.

  [ Daniel Lewart ]
  * Update default CODENAME to bookworm in various places.
    Closes: #994121

  [ Jonathan Hettwer ]
  * Avoid embedding timestamps into gzipped Packages and Translations files.
  * Pass --invariant and -i deb00001 to mkfs.msdos

  [ Samuel Thibault ]
  * On firmware images, include the sound firmwares in the espeakup-enabled
    initrd itself. Closes: #992699

  [ John Paul Adrian Glaubitz ]
  * Remove leftover files of silo bootloader on sparc.
  * Remove leftover files of silo bootloader on sparc64.

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1, 2, 3.
  * Update standards version to 4.6.1, no changes needed.

  [ Holger Levsen ]
  * Update standards version to 4.6.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Jan 2023 13:11:24 +0100

debian-cd (3.1.35) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add brltty and espeakup to all images from netinst up, for blind
    users. Closes: #678065

  [ Cyril Brulebois ]
  * Add script to generate firmware metadata from AppStream metadata,
    and use it when building a media tree. See: #989863

 -- Steve McIntyre <93sam@debian.org>  Mon, 26 Jul 2021 01:02:03 +0100

debian-cd (3.1.34) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * data/bullseye: Update Debian Edu installer logo and syslinux splash image
    from src:debian-edu-artwork 2.11.5-1.
  * tools/boot/*/boot-x86: Prevent custom splash images from being modified.
    The related code seems to have been useful a long time ago (the need to use
    an RLE file and to reduce the number of colours to 16 has been dropped as of
    syslinux version 3.62). So replace obsolete code with a simple cp command.
  * debian/control: Drop Recommends: on netpbm and syslinux-utils. These are no
    longer needed now that custom splash images are used unmodified.

  [ Petter Reinholdtsen ]
  * Include eatmydata deb for d-i to use offline. Closes: #986772

  [ Steve McIntyre ]
  * Shorten "ppc64el" to "p64el" in the volume ID. The bullseye d-i
    RC1 build failed as the volume ID was too long.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Apr 2021 01:03:35 +0200

debian-cd (3.1.33) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * data/bullseye: Update Debian Edu syslinux splash image from
    src:debian-edu-artwork 2.11.4-1.

  [ Holger Levsen ]
  * tools/which_deb: Apply patch by JH Chatenet to fix problems with local xz
    compressed Packages files. Closes: #968668
  * tools/start_new_disc: Apply patch by JH Chatenet to include local Release
    file for debian-installer. Closes: #968671
  * tools/make_disc_trees: Apply patch by Daniel Dickinson to create Packages
    files for local/debian-installer. Closes: #523017

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 19:45:22 +0100

debian-cd (3.1.32) unstable; urgency=medium

  [ Steve McIntyre ]
  * Update default config - we're building for bullseye (11) now.
  * Add support for running the final make_image step in parallel to
    make best use of larger machines with SSD storage. Use
    PARALLEL_MAKE_IMAGE=<n> to specify how many to build in parallel.
  * Be more explicit if DISKTYPE is not specified, or unrecognised.
  * When compressing translations, remove the uncompressed version.

  [ Wolfgang Schweer ]
  * data/bullseye: Update Debian Edu installer logo and syslinux splash image
    from src:debian-edu-artwork 2.11.2-1.
  * tasks/bullseye/Debian-edu-full: Add winbind, freeradius and freeradius-krb5
    packages.

  [ Steev Klimaszewski ]
  * Fix sed delimiters in various scripts.

  [ Samuel Thibault ]
  * Make tools/start_new_disc also cleanup SHA512 checksums.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Jan 2021 14:45:59 +0100

debian-cd (3.1.31) unstable; urgency=medium

  [ Steve McIntyre ]
  * tools/generate_di_list: Only include kernel udebs for the highest
    ABI we know about. Don't waste space on new installation media
    with older udebs from the archive.

  [ Holger Levsen ]
  * lintian-overrides:
    - add overrides for package-contains-documentation-outside-usr-share-doc
      for usr/share/debian-cd/(contrib|data|tasks).
    - drop unused missing-depends-on-sensible-utils.

 -- Holger Levsen <holger@debian.org>  Wed, 14 Oct 2020 16:34:41 +0200

debian-cd (3.1.30) unstable; urgency=medium

  [ Steve McIntyre ]
  * tools/update_popcon: cope with lower-case HTTP headers too; recently
    Debian enabled http2 so this broke.

  [ Holger Levsen ]
  * Convert README to UTF-8.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Sep 2020 17:18:38 +0200

debian-cd (3.1.29) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Fix tools/sort_deps to not accept udeb as solutions to dependencies of
    regular deb (and vice-versa).

  [ Steve McIntyre ]
  * Add easier support for extra archive signing keys - list
    fingerprints in ARCHIVE_EXTRA_KEYS.
  * Exclude lilo-installer (and elilo-installer) for all arches, not
    just amd64. This was an oversight before.
  * Enable graphical installer for arm64 too, now that d-i builds
    should include it too.

  [ John Paul Adrian Glaubitz ]
  * Remove leftover yaboot directory for buster and bullseye.

  [ Wolfgang Schweer ]
  * Adjust Debian Edu list of packages:
    - tasks/bullseye/Debian-edu-full: updated after major setup rework.
    - tools/generate_debian-edu_task: no longer exclude Cinnamon desktop
      environment.

  [ Holger Levsen ]
  * Bump standards version to 4.5.0, no changes needed.
  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Tue, 26 May 2020 16:10:35 +0200

debian-cd (3.1.28) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add a "with firmware" text to the DISKINFO string when appropriate
    Closes: #944207

  * Major changes to jigdo support - add support for the new
    sha256-based v2 format so we can think about phasing out
    dependencies on md5. Will still build using md5 stuff for
    compatibility for now - we need a new xorriso release (1.5.3?) to
    hit the archive and (more importantly!) users to get current jigdo
    clients too before we can switch. Closes: #949965

  [ Samuel Thibault ]
  * Drop support for xorriso versions before 1.2.2
  * Add hurd-i386 EFI support.

  [ John Paul Adrian Glaubitz ]
  * Add missing export keyword for ARCHIVE_KEYRING_FILE and
    ARCHIVE_KEYRING_PACKAGE variables in CONF.sh.

  [ Raphaël Hertzog ]
  * Fix a quoting bug that leads to failure in start_new_disc
    when CODENAME is kali-last-snapshot.
  * Add symlinks for kali-last-snapshot in data/, tasks/ and tools/boot/.
  * Add a default value to JIGDO_CHECKSUM.

 -- Steve McIntyre <93sam@debian.org>  Tue, 28 Jan 2020 12:53:41 +0000

debian-cd (3.1.27) unstable; urgency=medium

  [ Samuel Thibault ]
  * Keep grub resolution in EFI boot, to avoid tiny fonts (closes: #935546).

  [ Steve McIntyre ]
  * Update arch lists in build_all.sh, remove arches not in bullseye
  * Update ordering of checksumming in imagesums

  [ Holger Levsen ]
  * contrib: Updated from setup.git/bullseye/.
  * d/control: Bump standards version to 4.4.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Oct 2019 18:06:41 +0200

debian-cd (3.1.26) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start bullseye development, copy the buster dirs to bullseye as a
    start.
  * Stop producing MD5SUMS and SHA1SUMS files by default.
  * Add shim-signed and grub-efi-arm64-signed to the arm64 package
    list.
  * Change a load of http URLs to use https instead.

  [ Holger Levsen ]
  * d/control:
    - bump standards version to 4.4.0, no changes needed.
    - bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Aug 2019 11:50:47 +0200

debian-cd (3.1.25) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix for stupid bug in 3.1.24 - rebuild without my locally-hacked
    CONF.sh in the package build. :-(

 -- Steve McIntyre <93sam@debian.org>  Wed, 26 Jun 2019 18:26:02 +0100

debian-cd (3.1.24) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/buster/Debian-edu-full: Force missing packages onto the Edu BD.
    (This is a workaround for the effects of #601203)

  [ Holger Levsen ]
  * contrib/cronjob.weekly: drop -usb from CDNAME for Debian Edu BD images, as
    "usb" is both wrong as well as redundant as 'BD' is also part of the
    generated filenames.

  [ John Paul Adrian Glaubitz ]
  * Add grub-efi{,{-ia64,{-bin}}} to tools/generate_di+k_list on ia64
  * Remove elilo from tools/generate_di+k_list on {i386,ia64}
  * Switch bootloader from elilo to grub-efi-ia64 on ia64
  * Switch bootloader from yaboot to grub-ieee1275 on powerpc
  * Switch bootloader from yaboot to grub-ieee1275 on ppc64
  * Switch bootloader from silo to grub-ieee1275 on sparc
  * Switch bootloader from silo to grub-ieee1275 on sparc64

  [ Steve McIntyre ]
  * Tweak ordering of snapshot URLs - put snapshot.d.o last in the list in
    jigdo files, to reduce load on the service.
  * Don't include -686-pae udebs on media - we may not have a kernel
    to use with them anyway
  * Add support for USB sticks any integer multiple of 1GB in size.
  * Copy in the updated buster cronjobs to match current state.

 -- Steve McIntyre <93sam@debian.org>  Sat, 22 Jun 2019 18:19:21 +0100

debian-cd (3.1.23) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tools/start_new_disc: set adjusted cd_type for incomplete BD image for
    offline usable Edu BDs. Closes: #769589
  * contrib/HEADER.html.in: add paragraphs describing the Debian Edu netinst
    images for amd64 and i386.

  [ Steve McIntyre ]
  * Add grub-efi packages to armhf media.
  * Add EFI boot support for armhf media
  * Factor ESP size calculation for the various platforms

  [ Samuel Thibault ]
  * Support dark theme boot entries.

  [ Holger Levsen ]
  * data/buster: update Debian Edu installer logo and syslinux splash image
    from src:debian-edu-artwork 2.10.5-1.
  * contrib: updated from setup.git/buster/.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Feb 2019 19:08:26 +0100

debian-cd (3.1.22) unstable; urgency=medium

  [ Steve McIntyre ]
  * Ensure that in all places where we use -J we also use
    -joliet-long. Thanks to Thomas Schmitt again for a clear bug report!
  * List jigdo, template and torrent files in SUMS files too. Closes: #887830
  * Tweak the date used for snapshot.d.o references - use *tomorrow*
    rather than today, to allow time for the snapshot to be updated.
  * update-cd:
    - add ppc64el to arch list.
    - grab checksums from the binary-all Packages.gz too when building.
    - generate checksums for torrents and jigdo files too if desired.
    - normalize path to genisoimage.
    - Tweak the code ordering in update-cd so the jigdo file checksums
      are generated after they're compressed.
  * tasks/buster/debian-edu: Update the debian-edu task definition.
  * tools/generate_debian-edu_task:
    - replace generate_debian-edu_task with a perl script.
  * tools/generate_firmware_task: add proper backports support.
  * tools/check_backports_packages: hard-code linux-image=* for now.
  * tools/boot/buster/boot-x86: Munge the EFI boot support code to make Secure
    Boot work.
  * tools/generate_di+k_list: explicitly bring in the signed shim and grub
    bootloaders.
  * Add initial support for generating media including packages from
    backports.
  * Update boot-x86 to handle UEFI Secure Boot better (minimal changes,
    real work is in d-i). Closes: #821054
  * Also include shim-signed and grub-efi-amd64-signed for amd64 media.

  [ David Kalnischkies ]
  * Provide hashes for uncompressed Translation-* again. Closes: #767253

  [ John Paul Adrian Glaubitz ]
  * Use compressed kernel image by default in boot-hppa.
  * Rename data/base_include_port_architectures to data/debian_ports.
  * Makefile: Rename UNRELEASED_PORT_ARCHITECTURES to DEBIAN_PORTS_ARCHES.
  * Makefile: Reorder architecture list in DEBIAN_PORTS_ARCHES.
  * Makefile: Rephrase comment on package list for Debian Ports.
  * Makefile: Add ia64, powerpc, riscv64 and sparc to DEBIAN_PORTS_ARCHES.

  [ Holger Levsen ]
  * Create a debian-edu task to be able to build an offline installation image
    for Debian Edu.
  * Drop unused script edu-build.sh.
  * data/buster: add Debian Edu installer logo from src:debian-edu-artwork
    2.10.2-1.
  * d/control:
    - upgrade to use debhelper-compat(=11), drop d/compat.
    - drop ancient version-requirement on dependency on apt.
    - don't recommend syslinux-utils twice, thanks lintian.
    - bump standards version to 4.3.0, no changes needed.
    - add "Rules-Requires-Root: no" to support building as non-root.
    - add myself to uploaders.
  * d/rules:
    - use the awesome "dh $@" simplification.
    - use debian/debian-cd.docs.
    - use debian/debian-cd.install.
    - use debian/debian-cd.links.
  * Add lintian override for missing-depends-on-sensible-utils as
    sensible-editor is merely mentioned in the README.
  * d/copyright: explicitly refer to /usr/share/common-licenses/GPL-2.
  * Makefile: fix Raphaël Hertzog's name.
  * Cleanup white spaces & empty lines, in d/changelog, d/control and d/rules,
    thanks lintian.

  [ Wolfang Schweer ]
  * Reviewed, tested and proposed many of the Debian Edu related changes.
    Closes: #846006

 -- Holger Levsen <holger@debian.org>  Sat, 02 Feb 2019 23:38:07 +0100

debian-cd (3.1.21) unstable; urgency=medium

  [ Steve McIntyre ]
  * Tweak tasks/stretch/Debian-xfce: force some important packages up the
    dependency order so they're guaranteed to fit (firefox,
    network-manager-gnome, synaptic)
  * Start buster, simply copying stretch for now
  * Add SHA256 checksums to Packages files for update images
  * Make update_popcon deal with https on popcon.d.o
  * Depend on wget instead of just Recommending it.
  * Update references to point to salsa.d.o for git repo
  * Fix isolinux config parsing. Thanks to Philipp Hahn for the
    patch. Closes: #886655
  * Minor packaging updates:
    + Remove the executable bit from various shell function files
    + Update the debhelper dependency to version 10
    + Stop using dh_clean -k
    + Switch Priority: extra to optional
    + Update Standards-Version to 4.1.3

  [ JH Chatenet ]
  * Include debian-ports-archive-keyring on non released architectures
    Closes: #865470

  [ John Paul Adrian Glaubitz ]
  * Add list of packages required for debian-installer on m68k.
  * Add support for unreleased packages from Debian Ports.
  * Remove special handling for palo, silo and yaboot in which_deb.
  * Fix relative d-i path for kernel images and initrd in boot-hppa.
  * Fix relative d-i path for kernel images and initrd in boot-sparc64.
  * Add support for unreleased debian-installer packages from Debian Ports.
  * Fix relative d-i path for kernel images and initrd in boot-alpha.
  * Strip "images/cdrom" suffix from mirror DI_DIR path in boot-alpha.
  * Add grub-ieee1275 to tools/generate_di+k_list on powerpc.
  * Add grub-ieee1275 to tools/generate_di+k_list on sparc and sparc64.
  * Fix install location of amiga.info icon file.
  * Clone powerpc udeb lists for ppc64.
  * Add initial set of packages to tools/generate_di+k_list on ppc64.

  [ Marcin Kulisz]
  * removing lynx-cur from binary conditional dependency (Closes: #888107)

  [ Vagrant Cascadian ]
  * Support KERNEL_PARAMS in arm64 (Closes: #884552)

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Feb 2018 00:44:46 +0000

debian-cd (3.1.20) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add {data,tasks,tools/boot}/{kali-dev,kali-rolling} symlinks pointing
    to sid to make it easier to build Kali images with debian-cd.

  [ Steve McIntyre ]
  * Add https bits to tools/generate_di+k_list (#855035)
  * Fix missing full path for catz call in tools/grab_md5 (Closes: #855174)
  * Add stub for mips64el boot support, so we can build images for it
  * Add reportbug to tasks/forcd1 - make it easier for users to report
    installation problems. Closes: #861288
  * Ensure that arm64 images include grub-efi packages
  * Tweak the Volume ID and disk info output slightly for netinst media.
    Closes: #858031
  * Tweak the Volume ID for mips64el media

  [ Samuel Thibault ]
  * Add support for grub submenu hotkeys.

  [ Vagrant Cascadian ]
  * Add wget to Recommends. Closes: #861436

 -- Steve McIntyre <93sam@debian.org>  Tue, 06 Jun 2017 13:12:21 +0100

debian-cd (3.1.19) unstable; urgency=medium

  [ Steve McIntyre ]
  * Also fix size calculation for EFI image for arm64
  * Add workaround for dosfstools issue (#823881)
  * Add support for adding backports into a build
  * Remove obsolete dedicated_source script
  * Add support for archives without Packages.gz and Sources.gz - try .xz
    files too

  [ Cyril Brulebois ]
  * Only export WGET_OPTS="--ca-directory /etc/ssl/ca-debian/" when this
    directory actually exists, making it easier to use debian-cd on non-
    debian.org machines.

  [ John Paul Adrian Glaubitz ]
  * Fix perl errors in make_disc_trees.pl - use "local $_", not "my $_"
    Closes: #839946

 -- Steve McIntyre <93sam@debian.org>  Fri, 09 Dec 2016 01:13:13 +0000

debian-cd (3.1.18) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start stretch, simply copying jessie for now
  * Remove mention of desktop choice from yaboot boot messages
    (Closes: #783569)
  * Add YA syslinux package to Recommends.
  * Fix handlinkg of LOGOPNG when we've got "doppelganer" initramfs files
  * Add support for debian-edu builds
  * Change cpp usage in the Makefile to make error handling more reliable
  * tools/sort_deps: Improve handling of too-large packages. Previously,
    the code would only check sizes for packages explicitly listed but
    packages brought in due to dependency resolution would not be
    checked. Now fixed.
  * Try to make VOLIDs shorter when given long alpha / beta release names
    in DEBVERSION
  * Add firmware bundles in cpio.gz format too to help netboot users.
    Thanks to Alex Owen for the patch, slightly tweaked.
  * Add kernels and other bits to armel/armhf images (Closes: #795844)
  * Do similar for mips images, now r4k-ip22 cdrom images are no longer
    built.
  * Remove old obsolete pre-d-i function install_language and all callers.
  * parse_isolinux: Support grub menuentry shortcuts for UEFI boot menus.
    Closes: #798908
  * Create checksums for firmware images
  * Switch references to d-i.debian.org to use https instead of http.
    Closes: #809698. Also use --ca-directory /etc/ssl/ca-debian/ with wget
    to ensure this works.
  * Add Recommends: syslinux-utils in case a user wants to use SPLASHPNG
    (and hence ppmtolss16) for their own splash images. Closes: #768977
  * Update Standards-Version to 3.9.6

  [ Didier Raboud ]
  * For stretch, swap amd64 and i386 to let the first be the norm, and the
    latter be the special case, this copes with the similar change in d-i
  * Add management of arch detection from d-i in isolinux, fix booting from
    help files and isolinux.cfg overwriting

  [ Cyril Brulebois ]
  * Make amd64 the default arch in the easy-build.sh script.
  * Make stretch the default suite in the easy-build.sh script.

  [ Philipp Kern ]
  * Load the s390x initrd at 0x01000000 to allow kernels larger than
    8 MiB (and smaller than 16 MiB) to be loaded via the ins loader.
  * Drop the remaining s390 bits from stretch and jessie. (s390x remains.)
  * Drop the d390oco loader from stretch and jessie.

  [ John Paul Adrian Glaubitz ]
  * Add initial sparc64 support

  [ Samuel Thibault ]
  * include espeakup on cd1, not speakup, and alsa-utils. Closes: #809497
  * Minor tweaks to hurd boot setup. Closes: #818176

  [ Ben Hutchings ]
  * Add 686 kernels to replace 586 for i386 CDs. Closes: #808958

  [ Nicholas D Steeves ]
  * Change dependency on btrfs-tools to btrfs-progs. Closes: #820479

  [ Helge Deller ]
  * Update hppa support. Closes: #744155

  [ Philipp Hahn ]
  * Fix size calculation for EFI image

 -- Steve McIntyre <93sam@debian.org>  Mon, 20 Apr 2015 12:36:57 +0100

debian-cd (3.1.17) unstable; urgency=medium

  [ Steve McIntyre ]
  * Provide hashes for uncompressed Translation-* files, and remove the
    uncompressed versions from the output disc. Closes: #767253. Initial
    patch from Michael Vogt - thanks!
  * Add 586 kernels to replace 486 for i386 CDs
  * More tweaks for arm64 CD building
  * Change from -- to --- for kernel command line handling.
    Closes: #764676
  * Add minor support / bug fixes for i386 EFI.
  * Add fine-grained control over usage of BIOS and EFI boot on x86 CDs,
    needed for extra Mac CD builds.
  * update-cd: if we're doing torrents, make sure we include update CD
    checksums in bt-$type too.
  * Improve autorun.inf, make sure the disc icon displays. Closes: #772691
    Thanks to jnqnfe for initial patch, slightly tweaked.
  * Add rdnssd on disc 1 by default. Closes: #782299
  * Update included files from the setup repo in the contrib dir

  [ Ben Hutchings ]
  * generate_di+k_list: Update kernel and related package lists for mips*
    Closes: #777711

  [ Helge Deller ]
  * [alpha] fix unpacking aboot-base, copy versioned vmlinuz file correctly.

 -- Steve McIntyre <93sam@debian.org>  Mon, 20 Apr 2015 12:36:57 +0100

debian-cd (3.1.16) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix changelog date for 3.1.15. Closes: #751814
  * Fix up Gnome CD set installing xfce - logic in boot menu creation was
    broken. Closes: #756774
  * Update kernel flavours for armhf to just use armmp and armmp-lpae
  * Update arch lists to match what's in Jessie: remove sparc and ia64,
    add arm64.
  * Add Debian-mate and Debian-cinnamon top-level tasks for new CD desktop
    options
  * Extend FORCE_SID_TASKSEL usage in update_tasks to also affect desktop
    choice algorithm
  * Add experimental support for arm64 booting via UEFI
  * Do not look for isolinux/desktop/*cfg files for appending
    kernel params for Jessie. Closes: #767223, #766411. Thanks to Prema
    and Vagrant for (identical!) patches. :-)

  [ Philipp Hahn ]
  * Fix word-splitting regexp in generate_di_list. Closes: #758512.
  * Improve correctstatus speed. Closes: #759343

  [ Joey Hess ]
  * adapt desktop handling for tasksel/d-i changes. Closes: #762487

  [ Aurelien Jarno ]
  * Add initial support for ppc64el

  [ Ian Campbell ]
  * Force MKISOFO=xorriso for arm64 too
  * The d-i supplied grub.cfg has the correct entries in it already

 -- Steve McIntyre <93sam@debian.org>  Wed, 29 Oct 2014 17:33:10 +0000

debian-cd (3.1.15) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add "UEFI" text to the UEFI installer menu title to make it easier for
    end users to distinguish between UEFI and BIOS boot.

  [ Samuel Thibault ]
  * Make kfreebsd & hurd images usbkey-bootable. Closes: #739422
  * Fix building desktop CDs with easy-build.sh Closes: #740558

  [ Raphaël Hertzog ]
  * Fix code extracting the xorriso version.

  [ Steve McIntyre ]
  * tools/apt-selection: pass APT::Architectures:: when calling apt;
    otherwise if we're running on a multi-arch system apt will break
  * Factor out the xorriso version-checking code

  [ Helge Deller ]
  * Fixes for booting on hppa architecture. Closes: #743879, #749409

  [ Robert Millan ]
  * Update from kfreebsd-9 to kfreebsd-10

  [ Daniel Baumann ]
  * Cope with changes from move to isolinux 6.x. Closes: #746746

 -- Steve McIntyre <93sam@debian.org>  Tue, 03 Jun 2014 16:03:01 +0100

debian-cd (3.1.14) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start jessie work; copy things from the wheezy config for now.
  * Remove older squeeze, lenny, etch dirs
  * Move code hosting from svn to git.
  * Make sure that when we call apt, we tell it to *not* use localised
    package descriptions; this causes issues during build. See #712435 in
    apt.
  * List Translation files in dists/$dist/Release too - apt looks there
    now instead of in Index, apparently.
  * Remove mention/support of the s390(x) tape options; not created by d-i
    any more, and this is causing build failures.
  * Remove mention/support of old kfreebsd 8 kernels - they are not
    created any more, and this is causing build failures.
  * Remove s390 from the arch lists in various scripts, as it's going
    away. Support remains if specifically configured yet.
  * tools/update_tasks: don't hard-code the default desktop to use,
    instead work it out directly from the dependencies of the task-desktop
    package.
  * tools/boot/jessie/*: Pull out some more common code into common.sh to
    simplify the various boot-$arch scripts. Warn about potentially
    insecure download locations.

  [ Robert Spencer ]
  * Build without isolinux/desktop. Closes: #706150
  * Don't assume loadlin.exe exists. Closes: #706156

  [ Joey Hess ]
  * Add make and gcc back to forcecd1, to allow building out of tree
    kernel wifi modules. I removed this and more earlier while cleaning
    out undocuented cruft.
    (I have not added back module-assistant so far,
    since it needs build-essential which would pull in additional
    dependencies.)

 -- Steve McIntyre <93sam@debian.org>  Tue, 14 Jan 2014 17:19:22 +0100

debian-cd (3.1.13) unstable; urgency=medium

  * The traditional "last upload before the stable release" upload...

  [ Robert Spencer ]
  * Use ARCHIVE_KEYRING_PACKAGE and ARCHIVE_KEYRING_FILE parameters to
    not hardcode debian-archive-keyring and let derivatives use their
    own keyring.
  * Add further support for missing win32-loader.ini. Closes: #705594
  * Allow for override of distro name etc. in grub.cfg for EFI boot too.
    Closes: #705610

  [ Steve McIntyre ]
  * Tweak handling of {udeb,base}_{include,exclude} files so multi-arch
    builds should work better. Closes: #703436
  * Remove the dpkg check for debootstrap version before passing the
    --no-check-gpg option; we're not going to support debootstrap versions
    so old that they don't support this flag, *and* the dpkg-query call
    doesn't give us the right version anyway - we're using an extracted
    copy from the archive, not the one that (might be) installed on our
    build machine.

 -- Steve McIntyre <93sam@debian.org>  Tue, 30 Apr 2013 22:54:32 +0100

debian-cd (3.1.12) unstable; urgency=low

  [ Steve McIntyre ]
  * When building source-only discs, cope with having multiple different
    versions of a source package:
    + make_disc_trees.pl now tracks arrays of packages when parsing
      apt-cache output
    + We'll now pull in all the extra packages included in Sources.gz
      because of Built-Using.
  * Add support for Built-Using:
    + tools/sort_deps: parse out Built-Using from Packages files too and
      pass any such data on to tools/merge_package_lists
    + tools/merge_package_lists: if we have any built-using source
      packages listed when doing a combined binary/source set, add them in
      the same way as existing listed sources.
  * Other bug fixes in tools/merge_package_lists:
    + Fix handling of multi-line Binary: fields
    + Print out the accumulated size of source packages in output also
      (fix to printf format string)
  * Update Vcs-Browser
  * Make sure the DEBIAN_KERNEL placeholder in README.* is replaced;
    switch from cpp to sed for that so it works inside quoted
    text. Closes: #699198
  * Deal with syslinux version 5.x needing to install more files for
    bootable x86 media. Thanks to Daniel Baumann for the path.
    Closes: #699884

  [ Raphaël Hertzog ]
  * Update Makefile to set MKISOFS to xorriso by default when building
    images for i386/amd64. Otherwise a build that doesn't set MKISOFS
    and MKISOFS_OPTS fails.
  * Update tools/boot/wheezy/boot-x86 to not look for syslinux's source
    if $ARCHIVE_EXTRACTED_SOURCES is not set and modify CONF.sh
    to not set it by default. That option is only meaningful for
    official builds that result in a copy of the sources on the given URL.
  * Add dosfstools to Recommends since it's required by
    tools/boot/wheezy/boot-x86 for EFI support. It can't be added to Depends
    because it's not available on non-Linux systems.
  * Use debootstrap --no-check-gpg by default since many local mirrors
    are not signed (such as temporary mirrors created by simple-cdd).

  [ Steve McIntyre ]
  * Update boot-mipsel and boot-hppa to use the which_deb script for
    better safety when extracting boot loader files.
  * Update all the relevant boot-* scripts to do the right thing when
    extracting packages and sources, depending on
    $ARCHIVE_EXTRACTED_SOURCES as above
  * Add extra text to boot messages on powerpc to tell people about how to
    select a different desktop. Thanks to Rick Thomas for the
    text. Tweaked slightly to list the default on the current disc too.

  [ Robert Spencer ]
  * Extract debian-archive-keyring when setting up apt to avoid error
    messages about missing keys. Closes: #703431
  * Fix cpp warning in Makefile. Closes: #703432
  * Correct usage of dpkg-architecture to fix errors. Closes: #703487

  [ Steve McIntyre ]
  * Allow for override of DISKINFO base text; Closes: #695080

 -- Steve McIntyre <93sam@debian.org>  Mon, 01 Apr 2013 02:32:44 +0100

debian-cd (3.1.11) unstable; urgency=low

  [ Steve McIntyre ]
  * Merge x86 EFI support from the EFI_support branch (Closes: #658352)
    + Pull in grub-efi for amd64 and i386
    + Lots of extra code in boot-x86:
      - pull grub EFI pieces out of the latest debian-cd_info.tar.gz
        blobs in d-i, if they're there. If so, use them to make x86 images
        bootable via EFI (both via CD and USB)
      - parse the isolinux menus already provided in the d-i build and
        generate equivalent grub menus, complete with themes for a
        reasonable layout with graphics and titles.
      - depending more and more on xorriso rather than genisoimage...
  * Add version-tracking into dependency sorting. Closes: #687949)
    + Use/parse output from a newer version of apt so that "apt-cache
      depends" will include version information on dependencies.
    + All tracking of packages now include versions, so we pass around
      hashes of {package name, comparison op, version} everywhere instead
      of simply passing package names as strings.
    + Add the APT::Cache::ShowVersion=1 option to apt-cache calls to
      turn on version reporting. Needs a locally-patched version of apt
      *for now*, but expecting that to be fixed for the Wheezy
      release. The new code degrades gracefully if version info is not
      available.
    + Add a dependency on libdpkg-perl for version comparison code.
  * Improve architecture support in which_deb. Closes: #695244
    + Check all the architectures available in the archive if we're not
      specifically told which to use (e.g. on source builds)
    + If we fail to find packages/sources for the specified package, say
      so and bail out properly.
  * Switch boot-x86 to depend on xorriso totally rather than genisoimage
    now; working UEFI support needs it. We also need very recent (1.2.6)
    xorriso for various bugfixes, ideally.

 -- Steve McIntyre <93sam@debian.org>  Wed, 26 Sep 2012 01:09:13 +0100

debian-cd (3.1.10) unstable; urgency=low

  [ Steve McIntyre ]
  * Don't exclude all the udebs for s390. Some users really do need them
    (loading from a CD/DVD used over the network). Closes: Bug #673576
  * Explicitly add s390-tools and sysconfig-hardware for s390.
  * Tweak sort_deps:
    + Track whether a dependency chain is caused by a hard dependency
      (Depends) or soft (Recommends/Suggests). If we fail to add a package
      down the chain on a *soft* dependency, don't invalidate the entire
      chain.
    + When checking OR dependencies, *first* check to see if any of the
      options are already installed *before* trying to install the first
      option. Helps a lot with circular deps such as task-lxde-desktop ->
      task-desktop -> (task-gnome-desktop | task-lxde-desktop | etc.); in
      this case, of course task-lxde-desktop should satisfy the OR dep.
  * Tweak powerpc boot options, using 32/64 bit detection in yaboot at
    boot time. Thanks to Milan Kupcevic for the patch. Closes: #678066
  * Tweak boot-load-size for ia64 to make CDs boot again. Closes: #678883.
    Thanks to Stephan Schreiber for the patch. Tweak all the other
    ElTorito-booting arches in a similar fashion.

  [ Joey Hess ]
  * Clean up forcd1, removing twm, wmaker, wmakerconf, pump,
    menu (pulled in by desktop tasks),
    aptitude (pulled in by debootstap, and may be demoted to optional),
    alsa-utils, alsa-base (pulled in by task-desktop),
    mdetect, read-edid (no longer used by xorg),
    grub (handed by generate_di+k_list),
    deborphan, debfoster, localepurge (expert user stuff),
    chdrvfont (no such package any more),
    discover, popularity-contest, wpasupplicant, openssh-server
    (in generate_di+k_list),
    gnupg (pulled in by debootstrap)
  * Updated generate_di+k_list to match more closely the current
    packages d-i apt-installs.
  * Further trim forcd1, removing lots of historical cruft, and adding
    comments explaining the rationalle for the remaining packages.

 -- Steve McIntyre <93sam@debian.org>  Fri, 24 Aug 2012 14:50:13 +0100

debian-cd (3.1.9) unstable; urgency=low

  [ Steve McIntyre ]
  * Add s390x as a known architecture, merging common s390/s390x boot
    setup scripts.
  * Add dependency on xorriso. Closes: #673656
  * Describe discs appropriately depending on the kernel used.
    Closes: #673975
  * Clean up handling of environment variable handling in perl tools.
  * Switch over to working with new task-* metapackages. Closes: #672941
  * Add espeakup to forcd1, so we get speech synthesis for a11y early on full
    CD/DVD sets. Closes: #678064
  * Fix installer priority handling on pegasos. Closes: #679798.
    Thanks to Milan Kupcevic for the patch.
  * Add gtk initrd to hurd-i386 images. Closes: #635260
    Thanks to Samuel Thibault for the patch.
  * Updated all the latest in-use scripts and config in the contrib dir.

 -- Steve McIntyre <93sam@debian.org>  Thu, 05 Jul 2012 18:32:04 -0600

debian-cd (3.1.8) unstable; urgency=low

  [ Steve McIntyre ]
  * Switch i386 kernel flavours again on advice from Ben:
    + Removed all mention of 686-bigmem as it's now gone
    + Added 686-pae onto CD#1 in place of 686
    + Leave the 486 kernel on CD#1 still, for people who can't use 686-pae
    + Add zfsutils into the generate_d-i+k_list for kfreebsd users.
  * Add support for translated package description files. Closes: #495102
    + Add needed dependency on bzip2
    + Other minor cleanups in tools/make_disc_trees.pl
  * Fix "expert" mode in yaboot for powerpc. Closes: #636265. Thanks to
    Milan Kupcevic for the patch.
  * Update list of Linux kernel packages. Closes: #648690. Thanks to Ben
    Hutchings for the patch.
  * Remove lots of old stuff neither needed nor supported any more:
    + removed architectures: alpha arm hppa
    + removed releases: etch lenny
    + removed unversioned data/sparc and data/yaboot, versioned
      equivalents are in place already.
  * tools/generate_firmware_task: Add LOCALDEBS support
  * Add more armel kernel flavours
  * Add armhf as a known architecture, merging common armel/armhf boot
    setup scripts.
  * Remove hppa boot script, unsupported now.
  * Tweak command line options for creating source images: add -joliet-long

  [ Joey Hess ]
  * Read tasksel's debian-tasks.desc from its new location.

  [ Ian Campbell ]
  * Rename "xm-debian.cfg" to just "debian.cfg" for Xen config.

  [ Raphaël Hertzog ]
  * Changes triggered by various lintian warnings:
    + Switch to “3.0 (native)” source format to get rid of .svn
      directories in the source package (when built from the svn checkout
      directly)
    + Support build-arch/build-indep targets in debian/rules.
    + Drop executable rights from tools/boot/wheezy/boot-hurd
      (and fix debian/rules to not re-add it).
    + Bump Standards-Version to 3.9.2 (no change required).

  [ Philipp Kern ]
  * Add an extra tweaked version of d390.ins for s390 booting. The
    Hardware Management Console needs the file to be in the root
    directory.

  [ Robert Millan ]
  * Add kfreebsd 9. Closes: #650926
  * Add graphical installer image for kfreebsd-amd64. Closes: #651530
  * generate_d-i+k_list: Add ufutils. Closes: #662234

 -- Steve McIntyre <93sam@debian.org>  Fri, 04 May 2012 16:13:42 +0100

debian-cd (3.1.7) unstable; urgency=low

  [ Ben Hutchings ]
  * In the boot prompt for powerpc, make install64 more prominent.
    Closes: #614583

  [ Steve McIntyre ]
  * Merge update-cd changes back from the squeeze branch:
    + Remove the old non-US stuff from it, it's not been needed in years.
    + Cope with .bz2 source files too.
    + Merged and simplified the old functionality from scansources.old
      and scanpackages.old into the new script create_control.
    + Run the mkisofs step *outside* of "set -e" so that we can actually
      report errors instead of silently failing.
    + Split out the code for starting a new disc into a function.
    + Pick up on a potential bug: if we finish the last (expected) disc with
      a backed-out file, make sure we create another image to include that
      file too.
  * Update make_disc_trees.pl and which_deb to cope with different
    types of source file, and clean up the code in that area.
  * tools/make_image: generate list files while we have the CD trees
    available
  * update the URL for downloading s390 d-i dailies.
  * Add linux-image-2.6-686-bigmem to tasks/<release>/interesting-fromcd23
    to try and put that on i386 image sets before linux-image-amd64.
    Closes: #622622
  * update the URL for downloading i386 d-i dailies.
  * update the URL for downloading armel d-i dailies.
  * tools/grab_md5:
    + Improve Packages and Sources file parsing;
    + Cope with differently-formed files that are still valid
      (don't assume field ordering).
    + Switch from awk to perl makes things much faster too!
    + Make arch handling more generic - instead of having to list all
      arches, allow a wildcard and then check for lack of Packages.gz files
  * tools/make-firmware-image: Rather than use the firmware task which
    gets out of date, look for firmware/microcode files directly in the
    Packages file. Check for things installing in /lib/firmware, and add
    those packages.
  * Remove the checked-in firmware task altogether, as it's not
    useful. Generate it when needed using the new script
    tools/generate_firmware_task.
  * Add apt-offline to tasks/wheezy/forcd1 to bring it onto CD#1.
    Closes: #630805
  * Add links to snapshot.debian.org into jigdo files.

  [ Aurelien Jarno ]
  * Add support for hurd-i386. Closes: #619211

 -- Steve McIntyre <93sam@debian.org>  Tue, 07 Jun 2011 23:03:42 +0100

debian-cd (3.1.6) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Add the missing accent in my family name in Uploaders.
  * Drop Frans Pop from Uploaders, RIP.

  [ Steve McIntyre ]
  * Start wheezy development, doing "svn cp squeeze wheezy" and
    "s/squeeze/wheezy/" in various places.
  * Add support for over-riding disc size on demand, used for some of the
    squeeze release builds.
  * Add disk size definitions for 1/2/4/8 GB USB sticks.
  * Extend the size-override code to allow to override an individual disc
    in the set (e.g. to make the first DVD fit on a 4GB USB
    stick). Closes: #612074
  * Special-case builds of source-only discs: if we think we've
    overflowed the disc size, try to carry on for a few more packages
    to get closer to actually filling the disc. Closes: #613751.
  * Path to sparc daily builds has changed.
  * armel hasn't booted off CD in ages for us; comment out the DI_WWW_HOME
    definition to stop the mirror script complaining.
  * Add more checksum types to generated Release files; go from md5 only
    to md5, sha1, sha256 and sha512.
  * tools/start_new_disc: tone down messages about missing
    {BASE,UDEB}_{INCLUDE,EXCLUDE} files from ERROR to WARNING.
    Closes: #615043

  [ Otavio Salvador ]
  * Add btrfs-tools on required packages by installer. Closes: #612007.

  [ Didier Raboud ]
  * Remove win32-loader standalone flavours from the tools/ directory on
    x86. Closes: #612224

 -- Steve McIntyre <93sam@debian.org>  Fri, 04 Mar 2011 14:56:50 +0000

debian-cd (3.1.5) unstable; urgency=high

  [ Steve McIntyre ]
  * Final upload for squeeze.
  * Pass the base mkisofs options into make_disc_trees too.
  * Switch to --iso-level 4 for powerpc images to make them work better
    with POWER machines. Thanks to Milan Kupcevic for the patch.
    Closes: #603536
  * Add code to make isohybrid images for i386/amd64:
    + Makefile: Add support for overriding the MKISOFS and MKISOFS_OPTS
      variables on a per-arch basis
    + CONF.sh: add working examples for this
    + CONF.sh: fix up the -jigdo-min-file-size option to use 1024 instead
      of 0; genisoimage used to fix this up, but xorriso doesn't.
    + tools/boot/squeeze/boot-x86: if configured to use xorriso, add the
      extra command line options to add the isohybrid MBR. Also work
      around a difference in ISO directory naming between genisoimage and
      xorriso.
    + Closes: #551951
  * Drop the recommended size for BD-ROMs slightly, on the recommendation
    of Thomas Schmitt. This will make it more likely that we'll fit on
    all media.

 -- Steve McIntyre <93sam@debian.org>  Wed, 02 Feb 2011 23:37:54 +0000

debian-cd (3.1.4) unstable; urgency=low

  [ Frans Pop ]
  * Cleanup of packages included for bootable CDs (generate_d-i+k_list):
    - libsysfs2 workaround is no longer needed;
    - discover is no longer used anywhere;
    - include grub-legacy instead of grub;
    - pcmcia-cs has been fully replaced with pcmciautils.
  * Exclude udebs for X.Org-based version of the Graphical Installer.
  * Excluding reiserfs4 udebs is not needed for Squeeze.
  * Include pciutils on installation CDs.
  * Only include a symlink for the suite actually specified in the
    Release file. Closes: #590993

  [ Karl Goetz ]
  * Rename log.sort_deps* to sort_deps*.log for better consistency.
    Closes: #571591
  * Minor tweaks to Debian packaging to make lintian happy.
    Closes: #592932
  * Minor whitespace/wording fixes for the README file. Closes: #592933
  * Change the default for NORECOMMENDS to 1 for consistency with
    NOSUGGESTS. Closes: #598196
  * Documentation patches

  [ Steve McIntyre ]
  * Rename log.add_packages to add_packages.log
  * Add dependency on dpkg-dev for dpkg-architecture. Closes: #574879
  * Add support for forcing firmware packages onto CD#1:
    + Add "FORCE_FIRMWARE=1" to CONF.sh to turn this on
    + Will pick up on packages in the "firmware" task and install them
    + Will also add sym-links to them in CD1/firmware so that new d-i code
      can find them easily.
    + Will add a short sentence into README.html/README.txt
  * Add top-level control of which checksums are desired for output images
    see the CHECKSUMS setting in CONF.sh
  * Fix some bashisms in tools/apt-selection.
  * When generating both iso and jigdo files, make sure that the iso files
    are at least as new as the jigdo files, as this helps people mirroring.
    Closes: #587774
  * On release builds, use the full version number including all the dots
    (e.g. 6.0.0 for the squeeze release instead of 600).
  * Update loadlin kernel parameters to match d-i values. Thanks to Samuel
    Thibault for the patch. Closes: #594267
  * Fix support for alternative boot splash images. Thanks to Tony Awtrey
    for the patch. Closes: #537368
  * Include the acpi package for all x86 media types. Closes: #475243
  * Include the wpasupplicant package on netinsts and larger. Closes: #593914
  * Include kbd on first CD rather than console-tools. Closes: #514654
  * Added dedication to Frans Pop.

  [ Ian Campbell ]
  * boot-x86: detect duplicates in the extra images used for installation
    and replace with hard links.
  * CONF.sh: Don't reset the value of $VARIANTS by default.

  [ Aurelien Jarno ]
  * Add support for the kfreebsd ports. Closes: #593629
  * Add debian-ports-archive-keyring-udeb and
    emdebian-archive-keyring-udeb to the exclude list - they should be in
    the initrd already.
  * Don't exclude reiserfsprogs-udeb, as rescue-mode depends on it.
    Closes: #593972

  [ Petter Reinholdtsen ]
  * Support replacing the g-i image with ones own image. Closes: #601189

  [ Holger Levsen ]
  * Start work on Debian Edu images.

  [ Otavio Salvador ]
  * squeeze: include zlib-modules for i386 images

 -- Steve McIntyre <93sam@debian.org>  Sun, 14 Nov 2010 15:37:24 +0000

debian-cd (3.1.3) unstable; urgency=low

  [ Frans Pop ]
  * Adjust x86 boot scripts for new version (2.0) of framework in D-I for
    creation of syslinux configuration files. Essentially the new version
    is a backport of what was already implemented in debian-cd before the
    release of Lenny and allows a significant simplification.
    There are no significant changes in generated CD/DVD images.
  * Split out code for workaround for #505243 to x86-desktop function library.
  * sparc: display message for unsupported subarchitectures.
  * Only do boot disk stuff for x86 and alpha if the image is supposed to be
    bootable. Avoids downloading x86 D-I images for all 30+ CDs in a full set.
  * Don't download floppy D-I images for i386; they're no longer available.
  * Don't fetch D-I images for the prep subarchitecture; it is not available.
  * Add path when sourcing CONF.sh for compatibility with dash. Spotted by
    Ian Campbell.
  * Add console-setup to packages needed for D-I.

  [ Steve McIntyre ]
  * Remove bashism in tools/apt-selection. Closes: #530972

  [ Ian Campbell ]
  * Add support for "variants". A variant allows to include/exclude additional
    packages or D-I components relative to a regular image.
  * Add variant to create i386/amd64 images that support installing Xen guests.
  * Recognise and ignore Enhances: lines.
  * Create apt/preferences.d in APTTMP, keeps newer apt from printing a warning.

  [ Raphaël Hertzog ]
  * Fallback looking for syslinux/silo/yaboot in $CODENAME when $DI_CODENAME
    didn't gave any result. This is useful when using partial mirrors built by
    simple-cdd while trying to build a Debian CD using a newer d-i (in my case
    etch CD with lenny d-i).
  * Use dpkg --fsys-tarfile instead of ar for extracting files from deb
    packages. The previous invocation could have failed for packages using
    something other than gzip compression.
  * Fix syntax errors in tools/boot/{lenny,squeeze}/boot-m68k (thanks to
    lintian).

  [ Steve McIntyre ]
  * Fix link in README.html.in for lenny, and update squeeze to match.
    Closes: #542191

  [ Frans Pop ]
  * s390: Add boot files specifying offset and size of the initrd for booting
    from CD. Change is based on SuSE's CD boot. Many thanks to Adam Thornton,
    Mark Post and Bastian Blank for providing the pointers to the missing bits.

  [ Steve McIntyre ]
  * Add support for coping with binary and source packages that are too
    large to fit. If we have to remove packages and their dependencies,
    list them in README.excluded in the root of disc 1.

  [ Joey Hess ]
  * Add firmware-linux-nonfree to firmware list. Left firmware-linux for now
    though it is now only a dependency package.
  * Add firmware-linux-free to firmware list, as a convenient way to make
    it available along with the other firmware files. (It could, instead,
    be included directly in d-i images, if there were a udeb.)
    Closes: 566561

  [ Karl Goetz ]
  * Improve the description for MAXCDS in the conf file. (Closes: #570028)
  * Export the CDNAME variable in the conf file. (Closes: #570470)

  [ Steve McIntyre ]
  * Cope with errors reported from debootstrap better; don't just treat
    the text output as package names. Closes: #570474

 -- Steve McIntyre <93sam@debian.org>  Sun, 21 Feb 2010 22:47:38 +0100

debian-cd (3.1.2) unstable; urgency=low

  [ Frans Pop ]
  * Add support for squeeze.

  [ Colin Watson ]
  * Luk Claes has taken over alpha, amd64, mips, and mipsel daily d-i
    builds.

  [ Steve McIntyre ]
  * Don't call images beta if they're using OFFICIAL_VAL == 2.
    Closes: #516353
  * Add wpasupplicant to tasks/*/forcd1 . Closes: #517298. It's a small
    package that should fit easily.
  * tools/sort_deps: Sort dependencies better: if A dep B then we should
    NOT list A before B. Closes: #518145.

  [ Joey Hess ]
  * Add firmware-linux to firmware task.
  * Re-add zd1211-firmware to firmware task.

  [ Steve McIntyre ]
  * tools/imagesums: Add support for more checksum types. genisoimage
    will shortly start generating sha256 and sha512 sums too.
  * Recognise and ignore Breaks: lines. Closes: #523444
  * Re-add code to generate install.bat on x86 machines. Thanks to Samuel
    Thibault for the patch. Closes: #518807
  * Modify README.html: only attempt to link to the release notes and
    installation manual on release-ready builds, otherwise suggest the
    alioth version of the installation manual. Closes: #330398

 -- Steve McIntyre <93sam@debian.org>  Sat, 16 May 2009 22:12:32 +0100

debian-cd (3.1.1) unstable; urgency=high

  [ Frans Pop ]
  * sparc: remove bogus default "append=cdrom" line from silo.conf template.
  * sparc: ensure the default 'install' option also gets KERNEL_PARAMS set.
  * start_new_disc: fix a typo so that DISC_PKG_HOOK might work. Thanks to
    Jonathan Hall for the patch. Closes: #513421
  * boot-x86: drop support for no longer really useful ISOLINUX_DEFAULT
    environment variable (see #512303 for discussion).
  * x86: clean up compatibility code that was needed for D-I Lenny RC1
    isolinux configuration files.

  [ Otavio Salvador ]
  * do not exclude libaio1-udeb from CDs.

  [ Steve McIntyre ]
  * Merge patches from Jonathan Hall:
    + Add better support for extra components, improve non-i386 mirror
      support (Closes: 514237)
    + tools/update_tasks no longer assumes i386 for all builds (Closes: #513497)
    + tools/which_deb no longer assumes i386 for all builds (Closes: #513498)
  * For source-only builds, don't do any task updates as they're not
    useful anyway.
  * Last high-urgency upload, ready for Lenny!

 -- Steve McIntyre <93sam@debian.org>  Thu, 12 Feb 2009 09:13:24 +0000

debian-cd (3.1.0) unstable; urgency=low

  [ Frans Pop ]
  * Don't include brltty on netinst images as it pulls in libicu which causes
    a 5MB size increase of the image, which is out of proportion given its use.
    This should not affect users as netinst installs should normally use a
    mirror and thus the package will be installed from there if needed.
    brltty will still get included on full CDs and DVDs through forcd1.
  * Remove references to no longer used files rawlist.exclude and list.exclude.
  * Clean up no longer needed compatibility code in lenny x86 boot script.

  [ Steve McIntyre ]
  * Rename list2cds to sort_deps.
  * Fix how directory trees are created in update-cd. Closes: #503911.
  * Update update_popcon to cope better with errors; now uses curl instead
    of wget.

  [ Raphael Hertzog ]
  * Don't try to copy sbm on etch CD images as it got removed.
  * Also extract isolinux.bin from the syslinux package in the case of etch
    CD images (since it's no more provided by debian-cd itself).

  [ Frans Pop ]
  * Rework the way tasks are handled:
    - all tasks files are moved to ./tasks/<codename> subdirectories so they
      can be more easily kept up-to-date with specific distro releases
    - always generate the debian-installer and tasksel tasks dynamically:
      . all task files for the desired suite are copied to the working
        directory at the beginning of each build, and are used from there
      . the debian-installer and tasksel tasks are no longer included in
        releases but are always created automatically at build time; this
        means users no longer need to run the generate_di_* scripts or the
        update_tasksel script
      . the popcon task file will remain included as a static file, but plan
        is to add an option to update it automatically for each build; reason
        is that updating it requires network access
    - bump version to 3.1
  * Update the contrib/testingcds script based on its current version on
    farbror.
  * Clean up and update interesting-fromcd23 and exclude task files for lenny.
  * Fix error in expansion of %ARCH% variables in D-I image location envvars.
  * Fix i386/amd64 multi-arch support in the lenny x86 boot script so that the
    isolinux config gets modified correctly independent of the order in which
    the arches are specified.
  * Workaround #505243 by modifying the syslinux configuration for amd64/i386
    multi-arch images and using ifcpu64.c32 to autodetect 32/64-bit systems
    when a user hits enter from the isolinux help screens. Based on research
    done by Franklin Piat.

  [ Steve McIntyre ]
  * Stop copying the /tools/ directory on from the mirror; it's going away.
  * Add support for multiple desktop tasks on a single disk
  * Add support for tracking which packages we've extracted binaries from,
    so that we can archive them (both binaries and sources). If we need
    anything, we will list it in CD$N.pkgs_extracted so that external
    scripts can pick it up and do whatever's needed.
  * Minor changes to the interface of tools/which_deb to accommodate that:
    now just lists the files *within* the mirror; it's up to callers to
    prepend ${MIRROR} as needed.

  [ Frans Pop ]
  * make_image: ensure correct quoting of variables when calling genisoimage.
    Closes: #507300.
  * boot-hppa: support KERNEL_PARAMS (so desktop= can be passed).
  * boot-hppa: stop passing redundant boot parameters root and ramdisk_size.
  * Split out languages supported by D-I and tasksel from task.list files.
    Instead of duplicating what language tasks should be included in each
    task.list.* file, let update_tasks add them dynamically at runtime from a
    single list of languages supported by tasksel and D-I. This also makes
    maintaining the lists a lot less painful. Closes: #506616.
  * Indicate which tasks are "secondary" by adding a "-" suffix in task.list.*
    files instead of hardcoding it in update_tasks. Closes: #506668.
  * Add new file tasks/README.tasksel to document the way tasksel tasks are
    used when determining the order in which packages are added to images.
  * Update list of languages supported by tasksel and D-I for Lenny.
  * Add support for a separate 'LXDE desktop environment' CD.
  * Add support for a 'light desktop environment' CD (LXDE + Xfce).
    Includes a framework to manipulate the isolinux configuration for x86 so
    that a user can select which desktop he wishes to install.
  * Add support to create an 'all desktops' DVD.
    This new task will include all four desktop environments supported by
    tasksel (GNOME, KDE, LXDE and Xfce). On x86 it will also add an option in
    the isolinux menu (under Advanced options) to select which DE to install,
    but GNOME will remain default.
  * Add support for a separate 'GNOME desktop environment' CD.
    This new task is mostly added for completeness. Main difference with the
    default task file is that no server tasks are included.
  * Add a suffix "generic" to the default task files to make the overall naming
    scheme more consistent. It also allows to make update_tasks more generic.
  * Update exclude list for Lenny:
    - remove aspell* packages as they do not included on CD1 anyway and
      excluding them also means they get excluded from DVD1;
    - remove xen/vserver linux-image packages as they do not get included on
      CD1 anyway;
    - xmail and cdebconf were added as they got pulled in through alternative
      dependencies, which is no longer an issue.
  * Give priority to Key packages over regular packages for secondary tasks
    (similar to what we already did for primary tasks).
  * README.easy-build: document how to use custom packages and D-I images.
  * Add myself as uploader.

 -- Frans Pop <fjp@debian.org>  Mon, 12 Jan 2009 16:07:35 +0100

debian-cd (3.0.5) unstable; urgency=low

  [ Steve McIntyre ]
  * Pre-cache apt's package information in large lumps rather than walk
    through it one package at a time. It's much faster. Closes: #470838
    Needs a small re-arrangement: code from tools/add_packages now
    moves into tools/make_disc_trees.pl
  * Update lenny's isolinux.bin to the one from syslinux 3.63+dfsg-1.
    Should help a user with an old Adaptec SCSI card who has been reporting
    problems.
  * tools/imagesums: use newer features in latest mkisofs/genisoimage to grab
    pre-calculated MD5 and SHA1 checksums directly from the jigdo file.

  [ Frans Pop ]
  * Remove wireless-tools-udeb from the lenny udeb_include files as it is not
    required for wireless support (see also #474708).

  [ Joey Hess ]
  * Add support for a split syslinux.cfg file, which will later be provided
    to support the syslinux vesa menu.

  [ Santiago Garcia ]
  * Start to add armel support.

  [ Frans Pop ]
  * Drop the base-{etch,lenny} tasks files as make_disc_trees.pl already takes
    care of including packages needed by debootstrap.
  * generate_di+k_list: fix logic error in use of codenames.
    When building a CD for e.g. etch using D-I from e.g. sid, the script
    should update tasks/debian-installer+kernel-etch (instead of -sid), and
    that file should have '#include <debian-installer-sid>'. This means we'll
    no longer have to modify the Debian_* tasks in such cases.

  [ Raphael Hertzog ]
  * Switch debhelper compatibility level to 5 and use debian/compat
    instead of DH_COMPAT.
  * Clean up debian/rules a bit.

  [ Joey Hess ]
  * Add per-language desktop tasks to the task.list files.
  * Path to sparc daily builds has changed.

  [ Frans Pop ]
  * Update tasksel tasks for Lenny Beta2.

  [ Steve McIntyre ]
  * tools/update_tasks: Significant streamlining to make a huge difference in
    runtime. Now feasible to run this automatically per-build rather than
    cronning it.

  [ Joey Hess ]
  * Update isolinux to version 3.63+dfsg-2 (featuring 'menu default64'
    support).

  [ Steve McIntyre ]
  * tools/make-firmware-image: Simple script to create .tar.gz and
    .zip files containing non-free firmware and microcode packages.
  * Add support for dual-layer DVD, Blu-Ray and dual-layer Blu-Ray
    discs. Nothing special, just extra sizes recognised.
  * Fix bashism in tools/grab_md5. Closes: #489562
  * Change lynx dependency to use lynx-cur|lynx instead. Closes: #489486
  * Add sanity check for data passed to add_packages.
  * Workaround to avoid errors when building images for Etch+1/2 (using
    packages from stable but D-I/udebs from testing): don't include source
    for udebs in images. See also #490652.

  [ Frans Pop ]
  * Support including packages from proposed-updates.
    This can be useful for pre-release testing of point releases, but should
    be used with care when CDs are intended to be published.
  * build.sh: after the earlier change in generate_di+k_list in this release,
    this script should also use the debian-installer+kernel task for the
    requested codename, and not the used D-I release.
  * build_all.sh: make setting of TASK consistent with build.sh.

  [ Joey Hess ]
  * Disable zd1211-firmware as its dependencies currently
    break d-i. (See #492205)

  [ Steve McIntyre ]
  * Applied patch from Robert Millan <rmh@aybabtu.com> to allow choice of
    desktop when building for win32-loader. Closes: #491300.

  [ Frans Pop ]
  * Include packages needed for systems using loop-aes encryption on
    installation CDs. Closes: #486360.

  [ Otavio Salvador ]
  * Include speakup and atl2 modules for i386 and amd64 medias.
  * Include multipath-tools-boot for all medias.

  [ Steve McIntyre ]
  * Add the "-joliet-long" option when making images with Joliet names.
    Some packages with ridiculously long names are not unique in the
    first 64 characters, so normal Joliet sorting fails.
  * Cope better with source/binary package mismatches in
    tools/merge_package_lists.
  * Improve control over production of iso and jigdo files. Replace the
    simple DOJIGDO config option with MAXISOS and MAXJIGDOS, allowing
    more flexibility. Allows us to only produce a small number of iso
    images for less-popular architectures but still produce all the jigdo
    files, saving a lot of disk space.
  * Recommend syslinux-common instead of syslinux. Closes: #497966
  * Major licensing problem cleanup: (Closes: #497270)
    + Remove binary blobs from the package; pull those files from the
      .debs in the archive as needed (isolinux.bin, vesamenu.c32)
    + sbm.bin no longer needed, so dropped it
    + Pull out the code to find the right deb and put it in a new helper
      shell script (tools/which_deb), called from Makefile and boot-* as
      needed.
  * Support KERNEL_PARAMS for powerpc, alpha and sparc (Closes: #416230)
    Thanks to Vagrant Cascadian for the patch.

  [ Frans Pop ]
  * Allow to skip generating MD5 and SHA1 sums files.
  * Add alsa-base and alsa-utils to forcd1 for Lenny as they are no longer
    key packages in the desktop task, but we do want them on the first CD.
  * Drop support for building Sarge CDs.
  * Allow multi-arch builds using D-I images from official mirrors or local
    D-I images.
  * Add easy-build.sh, a wrapper script for building images that takes care
    of a lot of the gotchas that can make debian-cd hard to use.
  * CONF.sh: change default CODENAME to lenny; change example paths to mirror
    to /srv/mirror.
  * Exclude 686-bigmem kernel udebs as they are only used for Xen netboot.
  * Stop including jfbterm and unifont on all images; jbfterm is no longer
    installed from D-I.
  * Update and cleanup the udeb exclusion lists for lenny (general list and
    lists for i386 and amd64).

 -- Steve McIntyre <93sam@debian.org>  Sun, 26 Oct 2008 16:23:04 -0700

debian-cd (3.0.4) unstable; urgency=low

  [ Frans Pop ]
  * Disable debugging output in boot scripts.

  [ Otavio Salvador ]
  * Applied patch from Robert Millan <rmh@aybabtu.com> to integrate
    win32-loader. Closes: #440220.
  * Applied patch from Robert Millan <rmh@aybabtu.com> to fix image
    generation with read-only mirrors. Closes: #441397.
  * Applied patch from Robert Millan <rmh@aybabtu.com> to use win32-loader
    for autorun when CD is being used on Windows. Closes: #441846.
  * Exclude dhcp-client-udeb since it's not being used and transition for
    dhcp3-client-udeb has over.
  * Exclude multipath-udeb and libaio1-udeb since they're not being use
    yet.
  * Fix autorun.inf generation when win32-loader is present.
  * Applied patch from Nicolas François <nicolas.francois@centraliens.net>
    to allow README.html translation using po4a.
  * Remove the 'Last Modified' date from data/lenny/README.html.in since
    it's useless.
  * Use DEBOOTSTRAP_SCRIPT, BASE_INCLUDE and BASE_EXCLUDE variables to
    calculate the base packages set
  * Hide image creation command if not using verbosing make

  [ Steve McIntyre ]
  * Make daily i386/amd64 lenny builds work again - don't attempt to copy
    the win32-loader files into place if they don't exist.
  * Remove Depends: on sysutils. Closes: #437497 (again)

  [ Jérémy Bobbio ]
  * README.html: Integrate a new look for README.html done by Kalle Söderman.
    Huge thanks to him!
  * README: Improve the wording when building a netinst or business card by
    being a little bit more specific than just saying: CD 1 out of 1.  This
    meant adding new defines "DISKTYPE$DISKTYPE".

  [ Joey Hess ]
  * Include dmraid deb. Closes: #443991
  * Add acpi-support-base to generate_di+k_list.

  [ Steve McIntyre ]
  * Newer versions of debootstrap have moved the scripts from /usr/lib to
    /usr/share. Add a sym-link to cope - let's keep compatible with etch
    as much as possible. Also, log what debootstrap told us (in
    debootstrap-list) rather than just including the results directly in
    rawlist.

  [ Frans Pop ]
  * build_all.sh: don't source CONF.sh after already sourcing $CF earlier.
  * CONF.sh: add non-invasive option to avoid sourcing CONF.sh twice when
    using wrapper scripts.
  * CONF.sh: Don't set MAXCDS by default; was probably changed by accident.
  * boot-{mipsel,sparc}: Parse website directory index case insensitive so
    that both "<a href=" and "<A HREF=" are recognized.
  * Include busybox for architectures that use initramfs-tools; base-installer
    will try to install it.
  * tools/update_tasks: ignore comments and blank lines in tasks/task.list.
  * tasks/task.list*
    - add missing l10n tasks: gujarati-desktop, malayalam-desktop, tamil
    - comment out l10n tasks for languages not supported in D-I, for
      Icelandic, Irish, Serbian, Welsh and Xhosa
  * lenny tasks: update for current task lists; set svn:keywords so the date
    header gets updated.
  * Instead of including all alternative dependencies in list2cds, only
    include the first one. This reduces the size of the netinst and improves
    what's included on CD1. Only loss is console-{data,common,tools} so these
    are now added in generate_di+k_list. Reduces impact of #410418.
  * exclude-udebs: exclude any libdirectfb udeb instead of particular version.
  * exclude-udebs: exclude kbd-udeb and console-setup udebs (not yet used).
  * During installation debootstrap will complain about an invalid Release file
    if there is no Packages file for the local section. Create an empty Packages
    file if one is missing.
  * start_new_disc: make multi-arch CD/DVDs and CD/DVDs that are not part of a
    set (e.g. KDE/Xfce CDs) recognizable through info in .disk directory.
  * Makefile: debootstrap no longer accepts options with empty values; change
    the way include/exclude options are passed accordingly.

  [ Steve McIntyre ]
  * Significant cleanup of list2cds. Closes: #451237
  * tools/imagesums: use newer features in latest mkisofs/genisoimage to grab
    pre-calculated MD5 and SHA1 checksums directly from the jigdo file.

  [ Otavio Salvador ]
  * Make sure we include laptop-detect on arches that are know to have
    laptops (i386, amd64 and powerpc).
  * Make sure we include grub-pc since it's used when GPT disk label is
    chosen.

  [ Steve McIntyre ]
  * Fix a bug in start_new_disc - cope with MAXCDS not being set.
  * Temporarily disable boot support for arm CDs - the netwinder images are not
    being produced at the moment.

  [ Raphael Hertzog ]
  * Switch to genisoimage as default ISO generator as mkisofs has been dropped
    from Debian. Closes: #468850
  * Add Vcs-Browser field.
  * If genisomage is not available, try to fallback on mkisofs.
  * New OMIT_DOC_TOOLS option to be able to work with mirrors that do not
    contain the doc and tools directories.

  [ Frans Pop ]
  * Ensure that the correct version of the Installation Guide is included.
  * Lenny will be version 5.0.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Mar 2008 23:16:20 +0000

debian-cd (3.0.3) unstable; urgency=low

  [ Steve McIntyre ]
  * In start_new_disc, cope with $DEBVERSION containing spaces.
  * Only put the release notes and installation guide on disc#1.
  * In list2cds, don't add udebs in the final COMPLETE run -
    they're no use there.
  * Add some munging on the Release files if we're not building
    for "testing". Used in the etch release, and I'll back it out shortly.
  * Copied etch files to lenny ready for the new testing work.

  [ Frans Pop ]
  * Clean up: remove files for potato and woody releases.

  [ Steve McIntyre ]
  * Removed m68k from the list of arches in generate_di+k_list and
    generate_di_list to reduce warnings.
  * Updated comments in update-cd; potato was a while ago!
  * It seems the changes for 3.0.0 completely broke extranonfree
    support. Re-add it.

  [ Frans Pop ]
  * Dann Frazier has taken over from Jeff Bailey for daily IA64 D-I builds.
  * General update the template for the README file; explain the difference
    between small and full images better. Closes: #418195.

  [ Steve McIntyre ]
  * Re-added DEBOOTSTRAP_DIR definition in the Makefile
  * Don't hack with the Release file unless EARLY_BUILD_HACK=1.
    Closes: #423463

  [ Joey Hess ]
  * Remove pcmcia-cs-udeb from udeb_include; we don't need this udeb with
    modern kernels. (We didn't need it for etch either actually.)

  [ Steve McIntyre ]
  * Fix for multi-arch CDs including source - the extranonfree update
    broke the source output

  [ Frans Pop ]
  * Include both dhcp-client-udeb and dhcp3-client udeb while we're
    transitioning in the installer.
  * Exclude live-installer, simple-cdd, pwgen and nbd udebs as they are
    currently not used in Debian Installer.
  * Remove support for sparc32 as it is no longer supported for Lenny.

  [ Steve McIntyre ]
  * Update unstable-map: in the Makefile - use lenny rather than etch

  [ Petter Reinholdtsen ]
  * Update tools/grab_md5 to use the same variable name (SUITE->CODENAME)
    as the rest of the code, to reduce confusion.

  [ Joey Hess ]
  * Drop old with26 cruft for lenny.
  * Update lenny's isolinux.bin to the one from syslinux 3.51-1
  * Parse isolinux.cfg case-insensatively.
  * Merge boot-i386 and boot-amd64 into boot-x86.

  [ Otavio Salvador ]
  * Fix extranonfree support to be backward compatible with previous
    behaviour (default to false)
  * Create dpkg status file before calling APT

  [ Steve McIntyre ]
  * Fix boot-x86 shell syntax so it runs
  * Further logic fixing in boot-x86: amd64 should now work
  * Temporary fixup for daily lenny sparc builds - use older image locations
    if new ones not available.
  * Remove Build-Dep-Indep on sysutils. Closes: #437497
  * In build.sh, use $DI_CODENAME for installer task files rather than
    $CODENAME - allows for sid builds more easily etc.
  * Recompress the Packages files separately just before generating
    Release files. Closes: #423835, thanks to fjp for the patch.
  * Check if required base packages might also be supplied by a local
    repository too, not just the main distribution. Closes: #425600
  * Merge update-cd changes across from the version in etch.

 -- Steve McIntyre <93sam@debian.org>  Sat, 01 Sep 2007 23:58:42 +0100

debian-cd (3.0.2) unstable; urgency=high

  [ Steve McIntyre ]
  * Remove mention of m68k in data/etc/README.html.in.
  * Other small wording changes and fixes in the README file.
  * Fix up the Debian_etch, Debian_etch-kde and Debian_etch-xfce
    to use debian-installer+kernel-etch rather than -sid. Closes: #416551.
  * Fix up boot-alpha to calculate the size of the ramdisk needed, rather
    than hard-coding to 16384. Also slight refactoring.

  [ Frans Pop ]
  * Add initrd-tools to forcd1 as it is needed for Sarge to Etch upgrades.

  [ Steve McIntyre ]
  * YA "last for etch" upload.

 -- Steve McIntyre <93sam@debian.org>  Wed, 28 Mar 2007 22:57:41 +0100

debian-cd (3.0.1) unstable; urgency=high

  [ Frans Pop ]
  * Remove SRCEXCLUDE which is no longer supported.

  [ Steve McIntyre ]
  * Improve commenting in CONF.sh - make it clear that if you're making
    a netinst, you need to set TASK as well as INSTALLER_CD.

  [ Joey Hess ]
  * Updated tasks for tasksel 2.66.
  * Use the 64 bit autodetection feature of syslinux 3.31-2, if available,
    to default to the 64 bit target in multiarch isos.
  * Updated isolinux.bin to the version from syslinux 3.31-2.
  * Temporarily disable use of 64 bit detection due to syslinx's bug #410729.

  [ Steve McIntyre ]
  * Updates to update-cd:
    + Updates for sarge r5
    + Add support for update DVDs
    + Change parameters used - argument should now be cd or dvd rather than
    + arches to run

  [ Raphael Hertzog ]
  * Don't rely on PATH to find make_disc_trees.pl, start_new_disc, add_files
    and set_mkisofs_opts.
  * Make sure "make mirrorcheck" has been called before "make images".

  [ Steve McIntyre ]
  * Cope with rolling back more than one package in case we go well
    over the disc size
  * Use a multiplier of 1.2 for HFS space - overkill, but it fixes
    the multi-arch DVD overflowing. Also log if we're doing HFS.
  * Tweak where we look for s390 boot files to make the weeklies work again.

  [ Joey Hess ]
  * Updated isolinux.bin to the version from syslinux 3.31-3.
  * Re-enable use of 64 bit detection, fixed now.

  [ Raphael Hertzog ]
  * Fix make_disc_trees.pl to not clash on unexcluded packages which contains
    regex special characters. Closes: #413506

  [ Frans Pop ]
  * forcd1-etch: remove network-console-config (not in Etch).
  * forcd1-etch: add kernel-package and module-assistant.

  [ Steve McIntyre ]
  * Fix path for creating splash image in boot-amd64. Closes: #413850.
  * Add the DEFAULT64 handling to boot-amd64 as well as boot-i386; needed
    in both so that things are setup the same regardless of the order in
    which the boot-$arch scripts are called
  * Fix the extra_image() function in both boot-i386 and boot-amd64 to make
    sure we don't end up overwriting extra images from one arch with those
    from the other. Now the multi-arch netinst should work for the installgui
    target for both arches
  * Check in current working versions of the tasks files.
  * Fix a silly bug in start_new_disc that would break on discs with
    local packages. Thanks to Ronny Aasen for the patch. Closes: #414818
  * Final *final* upload for etch; urgency high to get through the
    freeze.

 -- Steve McIntyre <93sam@debian.org>  Tue, 13 Mar 2007 23:36:44 +0000

debian-cd (3.0.0) unstable; urgency=medium

  * Support now added for multi-arch CDs/DVDs, including mixed
    binary/source discs. Multi-arch discs should be bootable on those
    multiple arches, modulo boot-sector clashes. Extra support added
    in boot-i386 and boot-amd64 to make the 2 main arches happily
    co-exist.

  * Disc sizing is now much more intelligent - sizes are defined
    depending on the disk type chosen at the start, and discs are now
    filled exactly to those sizes while files are added rather than
    the old up-front guessing method. Equally, the metadata on the
    disc (Packages, Packages.gz, Sources, Sources.gz, md5sums.txt) is
    generated as much as possible while this is happening to make the
    sizing code incredibly accurate. Using this method of disc sizing
    means that customising discs should be much easier/safer - either
    add custom contents at the start and debian-cd will fill the
    remainder of the disc, or afterwards roll back the packages on the
    disc and add extras later.

  * Source is now treated as (almost) just another arch, with most of
    the special casing for source hidden internally. If asking for
    source-only discs, they will simply be built using all the
    available sources. If combined with other arches, the sources will
    automatically be chosen to match the binary packages. Meeting GPL
    requirements was never so easy!

  * Removed lots of old cruft to clean up the codebase:
    + non-US support
    + woody support
    + lots of old support scripts that have been made redundant
    + significantly simpler Makefile, much easier to follow
    + old boot-$ARCH.calc files for estimating boot-file sizes are now
      (obviously) obsolete and therefore gone

  Other changes:

  [ Petter Reinholdtsen ]
  * Update tools/boot/*/boot-amd64 to use the correct isolinux
    splash image settings, and to insert $KERNEL_PARAMS correctly into
    isolinux.cfg.  Based on patches already implemented in boot-i386.

  [ Joey Hess ]
  * Remove 2.4 kernels from generate_di+k_list for i386.
  * Remove 2.2 kernel for mac from generate_di+k_list, as it's no longer in
    the archive.
  * Deal with new xfce-desktop task.

  [ Steve McIntyre ]
  * Merge patch from Petter to allow override of the default boot choice
    in syslinux using the ISOLINUX_DEFAULT config option. Closes: #393229

  [ Joey Hess ]
  * Include brltty in generate_di+k_list.
  * Increase alpha hardcoded ramdisk_size to 20 mb, 16 is too small now.

  [ Frans Pop ]
  * Remove boot parameters that are no longer needed after switch to initramfs
    initrds for sparc and hppa.
  * tasks/exclude-etch: clean out obsolete entries.
  * tools/generate_di+k_list: generic suffix was dropped for amd64 kernels.
  * tools/generate_di+k_list: add new required packages for arm.
  * Update task-full-etch and task-essential-etch in tasks for D-I Etch RC1.

  [ Steve McIntyre ]
  * Update to the latest version of isolinux.bin, as found in syslinux
    version 3.31-1.

  [ Frans Pop ]
  * Add boot option "auto" for powerpc (yaboot) and sparc to support the
    installer's new auto-install functionality.
  * Update exclude-udebs:
    - S/390 installs do not support loading udebs from the CD, so exclude all
    - add debian-edu-archive-keyring-udeb
    - add ai-choosers, auto-install
    - add some new gtk frontend related udebs
    - globally exclude any discover udebs
    - clean up obsolete exclusions
  * Include "tape" images again for S/390.
  * Makefile: remove line continuation inside perl command as that breaks with
    GNU Make 3.81.

  [ Steve McIntyre ]
  * Change the default DEBVERSION from 3.2 to 4.0 to match etch.

  [ Joey Hess ]
  * Add new language tasks to task.list.
  * Add files to support building KDE CDs/DVDs. These would be images
    hardcoded to install the KDE desktop task, and to create them, configure
    CONF.sh as follows:
      TASK=tasks/Debian_etch-kde
      KERNEL_PARAMS='tasks="kde-desktop, standard"'
      MAXCDS=1
      NOSOURCE=1
  * Add similar files for Xfce.

  [ Frans Pop ]
  * Include floppy disk images again for i386.

  [ Steve McIntyre ]
  * Split final md5sum of images out from Makefile into tools/imagesums;
    if we've made jigdo files then *don't* waste time running md5sum on
    the images as well!
  * Add the build date/time into a few more places so people can see them
    more easily; add the build time into the .disk/info file.
  * DEVEL BRANCH MERGE: Change mkisofs_opts usage: add a shell function
    for the boot-$arch scripts to use rather than simply appending to the
    $N.mkisofs_opts file directly. Needed for forthcoming multi-arch
    support.
  * Stop using the silly .raw extension for output images, use .iso instead
  * Improve support for different disk types. Specify DISKTYPE in CONF.sh,
    and it will affect both the output name later (so it's now possible to
    distinguish between CDs and DVDs). Defaults to CD if not otherwise
    set. DISKTYPE will be used more in the future for sizing too, but that
    merge can wait a while longer yet. Closes: #364122
  * Use DISKTYPE and COMPLETE values to create the file .disk/cd_type for
    the installer to use.
  * Add bpalogin near the top of the task list, as requested a long time
    ago. Closes: #231583
  * Dump the mkisofs command-line used for each CD into .disk/mkisofs
    as we make it. Closes: #258099

  [ Frans Pop ]
  * Fixed double target in yaboot.conf; reported on IRC by jbrand.

  [ Joey Hess ]
  * Add a temporary hack in Debian_etch-kde to use sid d-i, to get a fixed
    preseed that supports preseeding of tasks.
  * build.sh: Don't force IMAGETARGET to bin-official_images when NOSOURCE
    is set, if IMAGETARGET is also already set, as in a kde cd build.

  [ Steve McIntyre ]
  * Remove sh from the arch list in generate_di_list, to make builds quieter.
  * Another devel branch merge: Change tools/grab_md5 to also look for
    md5sums in the installer suite as well as the archive suite in
    case they're different. Also removed old woody support, to clean
    up the code a little. Updated Makefile and update-cd to match the
    command-line interface change.

  [ Frans Pop ]
  * tasks/exclude-etch: clean up packages no longer in the archive.
  * tools/generate_di+k_list: no longer include kernel-image packages for
    powerpc as we don't support 2.4 based installs anymore. Closes #401429.
  * Daily builds for amd64 now done by Andreas Barth; with thanks to
    Kurt Roeckx for his past builds.

  [ Colin Watson ]
  * Include prep support on powerpc images again.

  [ Steve McIntyre ]
  * Add Packages and Sources files to the Release file; clean up the
    checksums. Closes: #402267
  * Lower-case package names at various points to work around apt bug
    #402354. Fixes the long-standing warnings from list2cds about "Use
    of uninitialized value in string comparison", and allows some poor
    packages to make it onto CDs for the first time...
  * Improve performance: rewritten tools/make_disc_trees in perl so we
    can call add_packages directly as a perl function rather than via
    fork/exec all the time. Re-arranged tools/add_packages to make
    this work.
  * Improved logging in add_packages.
  * When we've finished making a CD tree in make_disc_trees.pl,
    re-compress the gzipped Sources and Packages. Workaround for bug
    #402482 in busybox gunzip code.
  * Don't put ppc boot files on discs >1.
  * Add more hfs options to m68k discs, to match ppc.
  * Make list2cds more verbose in log output, especially when
    dependencies have failed so a package can't be added.

  [ Frans Pop ]
  * CONF.sh: case can handle empty variables fine; whitespace cleanup.
  * CONF.sh: don't determine ARCHES if already set; don't export CPU and
    KERNEL.

  [ Steve McIntyre ]
  * Update documentation to at least vaguely match how things work.
  * Added support for hook scripts in a few places around the CD
    creation process, to help people customise their CDs. Quite a
    lot of refactoring needed in make_disc_trees.pl needed to do that.
  * Removed more cruft:
    + old defs in CONF.sh
    + old defs and rules in the Makefile
    + tools/add_secured
    + don't depend on jigdo-file any more
    + don't depend on apt-utils any more - we don't use apt-ftparchive now
    + don't depend on debootstrap any more - we grab and use the
      latest version direct from the archive instead these days
    + don't suggest binutils-multiarch, we haven't needed that for mipsel
      CDs since woody!
    + remove the SKIPMIRRORCHECK variable, now completely obsolete
    + change the mkisofs dep from (mkisofs | mkhybrid) to
      (mkisofs | genisoimage)
    + remove Recommends on debianutils
    + remove Suggests on palo - we grab and use the correct version
      direct from the archive instead these days
    + remove Suggests on delo - we grab and use the correct version
      direct from the archive instead these days
  * Other cleanups:
    + Make build_all.sh work again, adapting build.sh
    + Promote Suggests: on netpbm, syslinux to Recommends:
    + Make make_disc_trees.pl and start_new_disc fail better on errors

  [ Frans Pop ]
  * Add linux-image-2.6-prep for powerpc.
  * Create a new tasks/forcd1-etch file and remove old cruft.

  [ Steve McIntyre ]
  * Gunzip the installation manual in .txt and .pdf format, so it's
    useful on other platforms too.
  * As a last-minute step before building images, fill in the TOTALNUM
    value in the README files in the root of each image.
  * Re-implemented exclude/unexclude support in make_disc_trees.pl instead
    of in list2cds. Slight changes in semantics - the new code supports
    regular expressions for matching package names (to make it easier to
    exclude groups of related packages), and EXCLUDE<m> should be used in
    preference to EXCLUDE for packages that are just being shifted to
    later in the set by using UNEXCLUDE<n>.
  + Slightly change the output naming of the disc images to make it safer
    to produce more then one type of multi-arch disc
  * In start_new_disc, make sure that we call the (badly-named) add-bin-doc
    so that we get README.html and README.txt created even for source discs.
  * Cleanup of Etch version of REAMDE.html.in - use "disc" or "CD/DVD" rather
    than "CD" in many places.
  * Fix whitespace issue in boot-amd64. Closes: #406320. Thanks to Matthew
    King for the patch.

  [ Joey Hess ]
  * Added an update-tasks target to the Makefile and moved the code out of
    file header comments to there. Fix some bugs in passing.
  * List packages for the various specific desktop tasks ahead of the non-key
    packages for the general desktop task. Along with changes in tasksel 2.60
    this should lead to a generally more useful set of packages on the desktop
    CDs; instead of filling up with OOo, it will fill up with things specific
    to the desktop environment.
  * Updated task lists.
  * Moved interesting-fromcd23 down to come after software from tasks in
    priority.

  [ Steve McIntyre ]
  * Final (!?) upload before etch - time to actually close lots of these
    bugs, and get the new code into a package.

 -- Steve McIntyre <93sam@debian.org>  Sun, 14 Jan 2007 15:41:53 +0000

debian-cd (2.2.25) unstable; urgency=low

  [ Joey Hess ]
  * Remove net-drivers access floppy from full CD images.

  [ Frans Pop ]
  * Consistently change location for installation guide to /doc/manual
    on the CD.
  * Update author (and timestamp) in README.
  * Colin Watson has taken over daily d-i builds for PowerPC.

  [ Steve McIntyre ]
  * Fix to tools/grab_md5: when building the md5-list, DO NOT use the
    "current" symlink in the d-i directories - that causes jigdo problems
    later on. Use the real dirs (as dated) instead.

  [ Frans Pop ]
  * Remove exclusion of openbsd-inetd for Etch as it is now the prefered
    dependency from netbase. For some reason debootstrap requires both inetd
    packages, so don't exclude netkit-inetd.
    Makes full/netinst images have base_installable again.
  * Thiemo Seufer has resumed building images for mips.

  [ Colin Watson ]
  * Only tell mkisofs to use the prep initrd if it's available (which it
    currently isn't for 2.6.16).

  [ Steve McIntyre ]
  * Fix to tools/grab_md5: reset the file and dir name after each source
    package is finished with.
  * Add extra debug in tools/boot/etch/boot-i386

  [ Joey Hess ]
  * ths has taken over mipsel builds
  * Add sudo to generate_di+k_list, it's needed for installs w/o a root user.
  * Add support to boot/etch/boot-i386 for adding gtk images. If the
    isolinux files include .with26+gtk, include gtk initrd along with the
    2.4 kernel. If .withgtk, include gtk initrd along with the default
    (presumably 2.6) kernel.
  * i386 has stopped building because the el-torito boot images were turned
    off (due to size issues). Fix this by not failing if the el-torito images
    arn't there.
  * d-i doesn't include bast images anymore, drop from boot-arm.
  * Update task.list adding more language tasks.
  * Update task-essential-etch build recipe to exclude the kde-desktop
    task since it won't fit on the CD.
  * Move kde-desktop to end of task.list for same reason.
  * Update task-full-etch to current tasksel.

  [ Steve McIntyre ]
  * Add better GNU/kFreeBSD support in setting ARCH in CONF.sh.
    Closes: #327470

  [ Joey Hess ]
  * Applied patch from smarenka to add 2.6 kernels for m68k, also 2.4 kernels
    for appropriate m68k subarches, and also emile, amiboot, atari-bootstrap,
    and initramfs-tools for m68k.

  [ Steve McIntyre ]
  * Add extra arm kernels and more utilities into the task lists.
    Closes: #373225

  [ Joey Hess ]
  * Correct url to the amd64 dailies.
  * Add gtk initrd to amd64 images if available.
  * Add autorun file to amd64 images if there's a README.html, same as for
    i386.
  * Add pcmciautils-udeb to udeb_include lists; something needs to pull it
    in and like pcmcia-cs-udeb its priority won't.

  [ Frans Pop ]
  * Wouter Verhelst has taken over daily d-i builds for powerpc.
  * AMD64 d-i images are now available from people.d.o.
  * Add cryptsetup to first CD; needed for installations using encrypted
    partitions.

  [ Joey Hess ]
  * Add 686 kernels, since the netinst CD is much larger and can now easily
    fit them and this makes the CD much more attractive for many users.

  [ Frans Pop ]
  * Drop 2.4 support for sparc64; switch from 2.4 to 2.6 for sparc32.
  * Exclude 2.4 kernel udebs for sparc and s/390 (s/390 has switched to 2.6).
  * Include only 2.6 kernel images for sparc.
  * Update to libdevmapper1.02.
  * No need to include yaird for m68k.
  * Drop initrd-tools for ia64, powerpc and sparc.
  * Include initramfs-tools instead of yaird for ia64 and sparc.
  * No initramfs generator needed for mips, mipsel and m68k.

  [ Steve McIntyre ]
  * Switch from 2.4 to 2.6 kernels for arm, mips and mipsel.
  * Switch from yaird over to initramfs-tools for arm.
  * Much simplified generate_di+k_list - mips and mipsel don't need script
    fragments any more.
  * Added elilo for i386.

  [ Joey Hess ]
  * Update task-essential-etch.
  * Update task.list to include all the new language tasks.
  * Update task-full-etch.

  [ Steve McIntyre ]
  * Mips has dropped r5k-ip22 kernels and gained r5k-ip32. And r5k-ip32
    doesn't have CD boot support yet, so don't attempt to use the cdrom
    boot image.

  [ Frans Pop ]
  * There are no "tape" images with 2.6.16 for S/390.
  * Exclude floppy and el-torito images for i386 as they are not being built.
  * Update exclude-udebs lists.
  * Exclude 2.4.27 kernel packages from CD1 for sparc and s/390.
  * Exclude 2.6.15 kernel header and image packages from CD1.
  * Exclude 2.6.16 xen and vserver kernel  packages from CD1.
  * Update generate_di+k_list to include libsysfs2.
  * Update popularity contest data for etch.
  * Update generate_di+k_list to include libdiscover1.

  [ Petter Reinholdtsen ]
  * Add more features to get_diskusage.pl, making it easier to track
    dependencies and rejected packages.
  * Correct splash screen generation for sarge and etch, making sure the
    correct background colour (black) is selected.

  [ Steve McIntyre ]
  * Try to fix the "unofficial development version" bug on official CDs.

  [ Joey Hess ]
  * Include libc6-i686 in generate_di+k_list, base-installer will
    soon begin installing this onto machines that can use it.
    (To regain some space, libc6-amd64 will soon stop being standard priority,
    and drop off.)
  * On sparc, include libc6-sparcv9 and libc6-sparcv9b, which base-installer
    will also pull in.

  [ Colin Watson ]
  * Cope with cdrom64 -> cdrom renaming for powerpc64 subarchitecture.

  [ Sven Luther ]
  * [powerpc] Added a rescue option to yaboot.conf as well as the pegasos boot
    script.

  [ Colin Watson ]
  * Remove obsolete devfs=mount,dall and init=/linuxrc options from
    yaboot.conf and pegasos boot script.
  * Remove init=/linuxrc from hppa.

  [ Otavio Salvador ]
  * Applied patches that are being in use at O.S. Systems and that are
    useful to others:
    - allow to use different name for final iso image;
    - allow to set the script to be used in debootstrap to check if all
      base need package are present.

  [ Frans Pop ]
  * Introduce new environment variable NOSOURCE that allows to build CD images
    using a local mirror that does not contain source files. This new variable
    obsoletes setting IMAGETARGET, though that is still supported for
    backwards compatibility. Closes: #320205.

  [ Steve McIntyre ]
  * Update the suggested DVD size in CONF.sh to a saner number
  * Re-sync CONF.sh over debian/CONF.sh
  * Minor changes to README.html.in and generation of README.html:
    cope with unofficial, official beta and official release CDs
    better. Let's not repeat the sarge mistake. Closes: #312604
  * Trivial updates to update-cd

  [ Frans Pop ]
  * Update base-etch and popularity-contest-etch in tasks.
  * Update task-full-etch and task-essential-etch in tasks.

  [ Steve McIntyre ]
  * Update Dependencies to allow installation/use on GNU/kFreeBSD. Thanks
    to Petr Salinger for the patch. Closes: #378977
  * Fix KERNEL_PARAM breakage. Thanks to Vagrant Cascadian for the patch,
    closes: #387255
  * Removed reference to obsolete "mirrorcheck" target in the README
    file. Closes: #384064.
  * s/sarge/etch/ and s/3.1/3.2/ in CONF.sh
  * Last upload ready for the etch release (hopefully)

 -- Steve McIntyre <93sam@debian.org>  Sun,  8 Oct 2006 14:46:48 +0200

debian-cd (2.2.24) unstable; urgency=low

  [ Bdale Garbee ]
  * update lists of udebs for hppa to reflect kernel name changes, etc

  [ Richard Hirst ]
  * Fix ramdisk_size value for hppa for both etch and sarge

  [ Frans Pop ]
  * Update for Sparc:
    - sparc64: switch to 2.6.12 kernel; make CD multiboot 2.6 and 2.4,
      using 2.6.12 by default
    - sparc32: drop 2.6 kernel support as it has no 2.6.12 kernel
    - restructure silo.conf with proper support for install, expert and
      rescue boot options

  [ Joey Hess ]
  * Remove contrib/testingcds. For now the entire setup directory used to
    build Debian CDs is in svn at svn+ssh://svn.debian.org/svn/debian-cd/setup
  * Point sid symlinks at etch.
  * Now build etch CDs by default.
  * Remove DH_CODENAME unset from CONF.sh, to allow it to be passed in
    via the environemtn. Closes: #326814
  * Remove Debian_sid task, which dates from before woody and should not be
    used.
  * Don't hardcode the path to debootstrap. And assume there is a debootstrap
    available, as it is a dependency.
  * Since debootstrap is in sbin, add sbin to PATH.
  * Remove other random hadcoded paths to programs in bin.
  * generate_di+k_list: Deal with kernel package name change. All arches
    with 2.6 kernels will now include only linux-image packages.
  * generate_di+k_list: Add some mips and mipsel subarches that are new in
    etch or were missing before.
  * generate_di+k_list: Use kernel-image-2.4-<subarch> and
    linux-image-2.4-<subarch> packages for as many architectures as we can,
    instead of enumerating the versions of the kernels to include. Much
    cleaner and more robust and will make d-i more robust as well.
  * Update task.list with new etch (and some old sarge) tasks.
  * Update task-full-etch and improve the generation recipe.
  * Change debootstrap --print-debs calls to pass debootstrap a mirror to use
    and a temporary directory to work in, so it will avoid downloading the
    Packages files from its hardcoded mirror, and work on amd64 and other
    situations with a non-official Debian mirror. Neccessary since the new
    version of debootstrap has dependency resolution enabled by default.
  * Don't chmod amiboot if it doesn't exist.

  [ Sven Luther ]
  * Fixed powerpc cd builds, added powerpc64 kernels to etch/sid, dropped
    2.6.8 and remaining 2.4.27 kernels, except the nubus/apus ones. Added IBM
    chrp boot files. (Closes: #328274)

  [ Joey Hess ]
  * Order task-essential-etch using task.list, and regen to match current
    tasksel.
  * Add acpid to generate_di+k_list so it's on the netinst.
  * Add more udebs to excludes trying to trim the netinst size down.
  * Exclude cdebconf from CD1s to prevent both it and debconf being pulled in
    by | dependencies. cdebconf isn't usable right now and has a large
    dependency chain.
  * Exclude inetutils-inetd and openbsd-inetd from CD1 for similar resons.

  [ Colin Watson ]
  * generate_di+k_list: Add hfsutils for powerpc; it's no longer in base but
    yaboot-installer needs it.

  [ Steve McIntyre ]
  * For full CD/DVD builds, check that we have an "extra" override
    containing task info. If not, use the sid override instead.

  [ Joey Hess ]
  * Add default UDEB_EXCLUDE files that differ for businesscard, netinst, and
    full CDs.
  * Make the full CD have apt-mirror-setup in its udeb_exclude file, to avoid
    that component being installed to satisfy apt-setup's dependency on it (I
    hope), so that the user is not unncessarily asked for a mirror during a
    full CD install, but is still asked for one during installs from the
    smaller CDs.
  * Add initramfs-tools to generate_d-i+k_list

  [ Steve McIntyre ]
  * Merged in MAJOR changes for jigdo creation - the long-separated JTE
    patch.
  * Split out the actual ISO/jigdo creation code from the Makefile into
    tools/make_image

  [ Joey Hess ]
  * Explicitly list ppp and pppoeconf in generate_d-i+k_list, since they are
    not installed by debootstrap and we do want them on netinst CDs.

  [ Steve McIntyre ]
  * Split out the code that copies debs into the temporary trees and
    creates Packages files from the Makefile into tools/add_debs
  * Split out the code that copies sources into the temporary trees and
    creates Sources files from the Makefile into tools/add_source_packages

  * MAJOR CHANGE: Stop using apt-ftparchive to generate the Packages
    files on each CD/DVD; instead grab the details for each package
    directly from the Packages file in the archive. MUCH MUCH faster,
    and uses less code too. Affected scripts:

    + tools/scanpackages now just generates Release files. argv[1]
      used to be "scan" or "install", but no longer used

    + tools/add_debs slightly simplified - old code removed

    + tools/add_packages now dumps out Packages file fragments as each
      .deb and .udeb is copied into the temporary trees

    + WARNING: Any uses of the "before-scanpackages" hook may now
      break - shout if you're affected.

  * Fix the new Packages file generation to cope with LOCAL packages
    too. A simple change to add checking for /local/ ; hopefully it
    will do the trick.

  * Use "|" rather than "/" as a sed separator in the etch boot-amd64
    and boot-i386 scripts. Closes: #342344

  * Add the ppptp-linux package to CD#1. Quick hack adds this from the
    Makefile for now; FIXME later... Closes: #255367

  * Minor change to correct the README - BASEDIR var means we don't
    have to cd to /usr/share/debian-cd/ any more. Closes: #280191

  [ Joey Hess ]
  * Update base-etch with current debootstrap, and also update the recipe to
    create it due to changes in debootstrap.
  * Remove exim4 from the netinst CDs by adding further insane cruft to the
    insane cruft already in the Makefile. (debootstrap no longer installs an
    MTA, so this should save some useful space on the netinsts)
  * Remove lvm10 from generate_di+k_list, d-i uses lvm2 now.
  * Audited all the apt-install commands in d-i, and added these packages
    to generate_di+k_list: pcmciautils, dosfsutils (barely needed),
    udev, installation-report, palo, elilo, sibyl, sibyl, colo, powerpc-utils,
    silo, vmelilo.
    Some of the bootloaders were alredy included via debootstrap, but as they
    are being removed from there, it's better to add them explicitly here.
  * Remove iso-codes from netinst, not used.
  * Drop floppies from i386 netinst and businesscard; this will make the
    netinst small enough to fit on 128 mb usb keychains again.
  * Deal with 386 -> 486 name change in kernel images.
  * Exclude ttf-cjk-compact-udeb.

  [ Steve McIntyre ]
  * Cope with mipsel boot images moving location. Closes: #349563.
  * Make sure that all the scripts use Packages.gz rather than Packages
    when looking up metadata in the archive - Packages is deprecated.
  * Cope better with badly-formatted stanzas in Sources.gz

  [ Joey Hess ]
  * Exclude reiser4progs udebs from CD, since there is no reiser4 in the
    Debian kernel.
  * Exclude libreiserfs0.3-udeb from CD, no longer used by parted.

  [ Steve McIntyre ]
  * Add an initial copy of boot-amd64.calc for etch

  [ Frans Pop ]
  * For etch, pick up the installation guide from the appropriate
    package in the archive rather than from the d-i area.
  * Add missing envvar checks in tools/generate_di*_list scripts.
  * arm: risc* flavours are no longer built. Closes: #351818.
  * Martin Michlmayr has temporarily taken over daily d-i builds for mips
    from Thiemo Seufer.
  * Kyle McMartin is now taking care of HPPA daily builds.

  [ Joey Hess ]
  * Switch alpha to 2.6 kernels.
  * Add linux-image-2.6-footbridge and linux-image-2.6-s3c2410
    arm kernels as d-i now uses these.

  [ Steve McIntyre ]
  * Fix the environment variable checks in tools/generate_di+k_list.
  * Update the boot-sparc scripts to improve the algorithm for finding
    the right version of silo to use - grab the filename from the
    appropriate Packages file rather than looking in the silo
    directory in the pool.

  [ Joey Hess ]
  * generate_di+k_list: Switch initamfs generator to per-arch,
    based on what base-installer installs:
    - initramfs-tools on i386, amd64, alpha, powerpc, arm
    - yaird on hppa, ia64, mips, mipsel, sparc, m68k

  [ Sven Luther ]
  * Added icon to powerpc/chrp bootinfo.txt, which will allow booting on IBM
    RS6K and pSeries. Closes: #352672

  [ Steve McIntyre ]
  * Mipsel boot images haven't actually moved yet in etch. Cope with this
    - fall back to the old location if the new one isn't there.

  [ Frans Pop ]
  * generate_di+k_list:
    - switch to initramfs-tools by default for hppa
    - include openssh-server; is installed when network-console is used
    - add libsysfs1; is not included otherwise because the udeb provides it

 -- Steve McIntyre <93sam@debian.org>  Mon,  6 Mar 2006 23:30:27 +0000

debian-cd (2.2.23) unstable; urgency=low

  * Raphael Hertzog
    - Patch from Sven Luther for pegasos support already applied
      by Steve McIntyre. Closes: #311925
  * Steve McIntyre
    - Added sed hack to make sarge appear as "stable" in the Release
      files we generate on the CDs (for the sarge release). Removed the
      hack sgain before the 2.2.23 package build.
    - Download the release notes and try to fit them onto
      CD#1. Updated sarge's README.html.in to point to them
    - Updated tools/add-bin-doc to stop warnings on this.
    - Added patch from Sven Luther to add a forth script to make
 	  ppc/pegasos easier to boot.  Closes: #311925
    - Re-add the kernel-headers packages to match kernel images (only
      on i386 and amd64). Closes: #249386
    - Made list2cds more verbose
    - Added tools/sarge/upgrade-hppa.sh and tools/sarge/upgrade-sparc.sh
      to install the upgrade-kernel bits on CD#1
    - Added tools/dedicated_source: simple script used to add extra
      source packages onto _binary_ CDs. Used for the amd64 sarge release
      so far.
    - Added patch from Frans Pop to use $CODENAME for exclusions.
      Closes: #320206
    - We no longer need to use md5sum.textutils, as dpkg no longer ships a
      non-64-clean version. We can now just use plain "md5sum".
      Closes: #313613
  * Joey Hess
    - Synced up all sarge changes to etch.
    - Use dpkg --print-architecture instead of now-deprecated
      --print-installation-architecture
    - Completed access cd-drivers transition.
    - d-i renamed syslinux.txt to boot.txt, us new name instead of
      renaming file from d-i.
    - Use isolinux config files included in the d-i debian-cd_info tarball
      so it does not need to be maintained in both places.
    - Repository moved to svn, update docs to reflect move.
    - Add hw-detect-full to exclude list for etch, renamed to disk-detect.
    - Switch mipsel to use my builds.
    - Applied s390 boot support patch by Frans Pop. Closes: #318021
    - partman udeb renamed to partman-base
  * Stephen R. Marenka
    - Changed m68k boot for etch to handle etch changes in d-i.

 -- Steve McIntyre <93sam@debian.org>  Tue, 23 Aug 2005 00:02:40 +0100

debian-cd (2.2.22) unstable; urgency=critical

  * Steve McIntyre
    - Prepared YA "last before sarge" debian-cd release
    - Urgency "Critical" to make sure we make it in...
  * Joey Hess
    - Add post-sarge udebs rescue-check, initrd-preseed, and preseed-common
      to the udeb exclude list since these will be/are inluded on sid initrds.
    - Add etch directories; point sid symlinks to them.
    - Add rescue stanzas to etch isolinux.cfg. Rescue mode is supported in
      post-sarge d-i images only.
    - Add support for f4.txt that is for systems with the 2.6 kernel.
    - Exclude new mouse-modules udebs from CDs until something in d-i uses
      them.
    - debian-installer task files renamed to include distro name and branched
      for etch.
  * Steve McIntyre
    - Make woody's post-boot-mipsel script cope with extra fields in the
      output of sarge's isoinfo
    - Add Suggests: on netpbm and syslinux. Closes: #301345
    - Count the total number of binary and source discs better; sarge can
      have more than 9 CDs, so ?.packages doesn't cut it any more.
    - Don't copy the whole d-i cdrom directory onto CD1 for amd64.
      Closes: #306926
    - Don't copy boot.img.gz onto amd64 CD1.
    - Added Manty's testingcds script as an example of debian-cd use
    - Updated sarge task lists to match the latest sarge CD build
  * Santiago Garcia
    - Allow the usage of a local mirror of the daily d-i builds to be used
      for sid_d-i builds, this is done by setting DI_WWW_HOME=default and
      DI_DIR=/path/to/the/mirror
    - Add autorun capabilities to i386 cds so that instead of getting the
      "what do you want Windows to do" question under XP, we get the html
      README started. Closes: #185238
    - Make the jigdos use the same naming scheme as the isos, as per my
      proposal to the list.
    - Add some amd64 patches from Goswin: Fixed boot-amd64 and added
      some packages missing on netinsts.
    - Port to etch previous changes I commited for sarge.

 -- Steve McIntyre <93sam@debian.org>  Wed, 01 Jun 2005 13:04:33 +0100

debian-cd (2.2.21) unstable; urgency=low

  * Steve McIntyre:
    - Prepared YA "last before sarge" debian-cd release.
  * Raphael Hertzog
    - One line patch to correct a five year old bug that nobody noticed !
      Closes: #285382
    - Change maintainer to "Debian CD Group <debian-cd@lists.debian.org>" and
      put myself into Uploaders (as well as Santiago Garcia Mantinan & Steve
      McIntyre). That's because I'm not keeping up well enough with debian-cd
      and I need more people involved in managing bugs.
    - Apply patch from Horms <horms@debian.org> to fix some problems with
      inclusion of local udebs. Closes: #258029
    - Apply another patch from horsm@debian.org to try to look for d-i images
      in "local" dirs first. Closes: #258026
    - Use LC_ALL=C when calling apt-cache since the output is now translated.
      Closes: #290959
  * Steve McIntyre
    - Substantially updated update-cd:
       - Cope with Woody r3 updates taking more than 1 CD per
         architecture.
       - (Optionally) use JTE mkisofs extensions to create jigdo
         files directly.
    - Added amd64 support in several places, looking (oddly) very similar
      to i386 for now. The help texts displayed by isolinux at boot still
      need updating - HELP!
  * Stephen R. Marenka
    - m68k: add kernel-image-2.4.27-amiga to debian-installer+kernel.
  * Santiago Garcia
    - Update debian-installer's tasks.
    - Update calc script and calc files.
    - Make i386 cds 8.3 filenaming compatible again.
    - Workaround the two kernels problem on hppa.
    - Fix the kernel-image-2.4.27-amiga thing on generate_di+k_list.
    - Add support for arm to generate_di+k_list.
  * Joey Hess again:
    - Since amd64 is not on standard debian mirrors, and generate_d-i+k_list
      must be runnable on them, make it chack for absence of amd64 Packages
      files and add a dummy kernel for amd64. This will need to be manually
      kept up-to-date by the amd64 people for now.
    - Didn't fix generate_di_list the same way, since doing so would be too
      hard. Next time tasks/debian-installer is updated using this script on
      a machine w/o the unofficial amd64 archive, the am64 info in the file
      will be lost.
    - Add DO NOT EDIT warning messages to generated files in cvs.
    - Check and revert manual modifications to tasks/base-sarge. This file is
      automatically generated and those mods would have been lost:
        - Add fileutils to generate_d-i+k_list, "until kernels get fixed",
          whatever that means.
        - arcboot was already in generate_d-i+k_list.
    - Update tasks/debian-installer+kernel using generate_d-i+k_list.
    - Sort package lists in tasks/base-sarge to ease comparisons when
      updating.
    - Update tasks/base-sarge for debootstrap 0.2.45. This includes the
      following removals:
         - aboot: already listed in debian-installer+kernel
         - gcc-3.2-base, libdb2, libgcrypt1, libgnutls7, libident,
           libdb2, libtasn1-0: obsolete
         - modconf: obsoleted by d-i
         - setserial: not base anymore
         - slang1: turned into slang1a-utf8
         - libident: not needed by base anymore
         - lilo: in debian-installer+kernel
         - mbr: not installed anymore
         - pcmcia-cs: in debian-installer+kernel
         - syslinux: not installed
         - "filesutils": typo; fileutils in generate_d-i+k_list for m68k
         - quik: in debian-installer+kernel
         - yaboot: in debian-installer+kernel
         - arcboot: in debian-installer+kernel
         - delo: in debian-installer+kernel
      And the following additions:
         - libdb4.2, libgcrypt11, libgcrypt7, libgnutls10, libgnutls11,
           libgpg-error0, libtasn1-2: new libraries
         - console-tools: now installed by debootstrap even on s390
    - Exclude all the new amd64 kernel images from cd #1, no space.
    - Forgot to exclude old kernel-image-2.6.7-1-686-smp from cd #1.
    - Add network-console-config to forcd1 since it's needed by the
      network-console udeb. Closes: #279238
    - Exclude xmail from CD1 (new MTA), and exim (old MTA)
    - Exclude some kernel-headers with no matching kernel-images from CD1.
    - Update task lists to reflect tasksel changes.
    - Exclude new kernels from CD1.
    - Switch mips daily builds to new builds by ths.
    - Update task files for tasksel 2.22.
    - Exclude more new kernel images from CD1.
    - Stop hardcoding sid as the distribution to take the installation manual
      from, use DI_CODENAME instead.
    - Add OMIT_MANUAL variable, which can be set to 1 to drop the install
      manual from small CDs to save space. We will probably be adding several
      new translations, and possibly PDFs, and that would use too much space
      on the small CDs.
    - Also make the README link to the manual on the Debian web site if
      OMIT_MANUAL=1.
    - Update the README to mention manual translations are available.
    - More README updates from patch by Frans Pop. Closes: #300301
    - libdevmapper1.00 renamed to libdevmapper1.01, update debian-installer
      task. Closes: #298724
    - Sparc daily builds moved.
  * Bdale Garbee
    - update tasks and tools to make 2.6.8 kernels primary on hppa
    - add ramdisk_size=16384 to palo call in post-boot-hppa
  * Colin Watson
    - Disable CD timeout on powerpc.
    - Add localechooser to exclude-udebs.

 -- Steve McIntyre <93sam@debian.org>  Mon, 21 Mar 2005 22:07:51 +0000

debian-cd (2.2.20) unstable; urgency=medium

  * Joey Hess
    - Remove bogus init=/linuxrc, we have not had a linuxrc in d-i for a long
      time and I don't know how that managed to work.
    - Update path to ia64 cdrom/boot.img.
    - Tweaked exclude-udebs-i386, removing fat-modules as it's not available
      otherwise if booting from floppy, and removing excludes of partconf,
      partitioner, and discover2-data-udeb, which are not in unstable for i386
      any longer.
    - Updated exclude-udebs to match the current CD initrd package list.
    - Access floppy reorg.
    - Sparc daily builds moved to joshk's builds.
    - Update tasks for 2.4.27 and 2.6.8 kernels.
    - Remove access floppies to save space on netinsts. Also remove
      net-drivers floppy and some other things not really needed for install
      from CD.
    - Add 2.6 kernels to ia64 netinst CDs (and incidentially, update to
      2.4.27).
    - Drop i386 floppies that have gone away in d-i.
    - Put 2.4, not 2.6 kernels on hppa cd.
  * Stephen R. Marenka
    - Add support for m68k reorganization.
    - Bump m68k 2.4 kernels to 2.4.27.
    - Handle missing m68k/bvme6000 floppy.
  * Petter Reinholdtsen
    - New variable SPLASHPNG pointing to replacement splash image on i386.
  * Kenshi Muto
    - Fix cp routine around EXTRA_DISK_IMAGES in tools/boot/sarge/boot-i386
      (add space to cp arguments)
    - Add floppy/asian-root.img, floppy/mideast-root.img and
      floppy/cyrillic-root.img to EXTRA_DISK_IMAGES (but may it be treated
      as DISK_IMAGES?)
    - Fix typo in test evaluation. (tools/boot/sarge/boot-i386)
    - Add localization-config.
  * Colin Watson
    - Add "--" end of installer kernel params markers to yaboot.conf.
    - Drop compatibility with old powerpc 2.4/2.6 d-i image layout, since
      the changed image layout reached sarge a while ago.
    - Remove 2.4 images from power3 and power4; those few who want them can
      netboot.
    - Remove 2.6 PReP images from power3 and power4, as no such machines
      exist.
    - Hardlink powerpc and powerpc/minimal vmlinux files together, since
      they're identical.
    - Remove powerpc-small-pmac kernel from the netinst. base-installer
      hasn't installed it since April, and according to Sven it's only
      useful for building floppies.
  * Santiago Garcia
    - Try to fix powerpc DVD builds via -hfs-parms MAX_XTCSIZE.
    - Add prep powerpc support.
    - Update debian-installer tasks.
    - Add tools/calc script to update .calc files with up to date
      estimations on the iso size parameters.
  * Thiemo Seufer
    - Add arcboot to the mips tasks/base-sarge list, like it is done for
      other bootloaders.
    - Add a default bootfile named sashARCS for mips, aliased to r4k-ip22.
  * Joshua Kwan
    - Add ramdisk_size=16384 to silo.conf. closes: #274958
  * Steve McIntyre
    - Another upload before sarge.

 -- Steve McIntyre <93sam@debian.org>  Fri,  22 Oct 2004 21:12:15 +0100

debian-cd (2.2.19) unstable; urgency=medium

  * Steve McIntyre
    - (Hopefully this time) Final medium-urgency upload to get a
      recent debian-cd in before the sarge release. A few bugfixes needed:
    - Removed silly build-dep-indep on mkisofs. Closes: #258018
    - Fixed typo in tools/boot/sarge/boot-i386. Closes: #267026
  * Santiago Garcia
    - Change build.sh to allow building non complete CDs, like netinsts.

 -- Steve McIntyre <93sam@debian.org>  Fri, 20 Aug 2004 14:59:11 +0100

debian-cd (2.2.18) unstable; urgency=medium

  * Steve McIntyre
    - Final medium-urgency upload to get a recent debian-cd in before
      the sarge release.
    - Update default version to sarge/3.1 for a sarge release.
    - Sarge is going to have more than 9 CDs; make sure we clean up all of
      the working dirs.
    - Removed the -T option to mkisofs. We don't need the TRANS.TBL files
      any more, and we should save the space.
    - Added support for SIZE_MULT_x when calculating full disc
      sizes. Best use is on m68k and powerpc images where HFS hybrid
      metadata seems to add ~10% to the size of the image.
    - Various updates to update-cd to cope with changes r0->r2.
    - Updated copy of CONF.sh in debian directory to match the working copy in .
    - Small lintian fixes.
  * Raphael Hertzog
    - Add missing Build-Depends-Indep. Closes: #258018
    - Remove debian-keyring.tar.gz from the doc dir.
    - Don't include Contents-$ARCH.gz on netinst/businesscard CD.
  * Joey Hess
    - Include sarge installation manual on sarge CDs.
    - Remove install/doc, and just use doc/install.
    - Patch from Thiemo Seufer to add mips and mipsel kernels.
      Also, remove some packages from arches that do not need them.
    - Remove module-init-tools-udeb from the CD.
    - Remove raidtools2-udeb from the exclude list, while nothing depends on
      it, it can be handy for manually setting up raid.
    - discover has been renamed to discover1
    - On i386, include discover on the CD as well, this is discover verson
      2, and is used with the 2.6 kernel.
    - Based on user reports, remove the read-only, and pass "rw" to the kernel
      in silo.conf.
    - Include only 2.4 ia64 kernels on the d-i CD for now, the 2.6 ones
      are not a good choice ATM according to bdale.
    - silo.conf fixes.
    - Fix mirror_check to look under LOCALDEBS for files if it is set.
    - Add mdadm to the netinst CD, needed for software raid installs.
    - Add lvm2 (and dependencies libdevmapper1.00 and lvm-common)
      for new partman. Left lvm10 on the CD for now, remove later.
    - Add jfsutils to netinst cds.
    - Add usbutils to netinst cds, it'll be installed by a future version
      of hw-detect.
    - Add tools/get_diskusage.pl (originally by Petter).
    - Add update-popcon Makefile target (taken from Skolelinux).
    - Add a KERNEL_PARAMS variable, which can be used to add kernel parameters
      and is useful for creating things like CDs that install in critical
      priority mode. I only implemented it for i386 so far.
    - Add MAXCDS config variable, which forces debian-cd to stop after a given
      number of binary CDs.
    - Only exclude udebs from the CD that are in both the cd initrd and the
      hd-media initrd, since both use the CD. This adds back floppy-modules
      and firewire-core-modules.
    - Add new default udeb_include files (for to full CDs and DVDs) that
      include ethdetect and netcfg, to make network configuration happen in
      first stage, since the second stage cannot currently do any.
      Closes: #240458
    - Include debian-installer+kernel into Debian_sarge task to ensure all
      debs as well as udebs used by d-i are included.
    - Exclude newer versions of i386 kernels to save space. Leave 2.6.x-386
      kernels on the CD.
    - Update task-essential-sarge to tasksel 2.05. Fix the generator to work
      with post-2002 tasksels.
    - Update task-full-sarge and task.list to tasksel 2.05. The task.list was
      manually ordered to give desktop task priority, followed by servers,
      followed by languages.
    - NORECOMMENDS should be used for sarge official CD sets (getting full
      tasks is more important), and is on by default.
    - Add libfribidi0 to generate_di+k_list, needed for BIDI.
    - Switch CONF.sh to sarge.
    - Uncomment exclude lines.
    - Remove the boot.bat script and redundant and incorrect README.tools.
      The alternative is to maintain and document them.
    - Exclude kernel sources from popcon results, old data skews this badly.
    - Remove old kernel sources from interesting-fromcd23, and various other
      removals and updates.
    - Update the task lists and popcon again.
    - Stop excluding 686 and 686-smp kernels, as these are probably the most
      popular, and they fit on CD#1 now.
    - Add "--" end of installer kernel params markers to the isolinux.cfg.
  * Petter Reinholdtsen
    - Regenereated tasks/popularity-contest-sarge based on the current data.
    - Avoid kernel versions 2.4.24 and 2.6.3 on the first i386 CD, as we
      are currently using 2.4.25.
    - Remove packages not in testing from exclude-sarge.
    - Update list2cds to allow #-comments in the exclude file.
    - Try to create $(OUT) instead of just bailing out if it is missing.
    - Missing b-f documentation is not a fatal error.  Keep
      building if it is missing.
    - Make it possible to give different CONF.sh files to build.sh.
    - Make it possible to change which images to build using CONF.sh.
    - Use DI_CODENAME to locate the installation system.  This make it
      possible to use debian-installer with Woody CDs.
    - Avoid illegal dash (-) in cpp architecture defines.  Patch
      from Colin Watson.
  * Stephen R. Marenka
    - Update m68k support for sarge.
        - Fix m68k/amiga icons.
        - Add 2.2 kernel-based cdrom initrd.
        - Redo m68k subarch boot/install for sarge.
        - Bump all subarchs to 2.4 kernel, except mac.
        - Add bvme6000 boot code.
        - Workaround boot/install for non-DI_WWW_HOME case.
  * Santiago Garcia
    - Update isolinux.bin to the version we are shipping with Sarge.
    - Update debian-installer tasks.
    - Update boot scripts for sarge to be able to build cds using d-i
      images from the chosen dist using the mirror or from the web.
    - Add support for sarge bootable mips cds.
    - Add support for sarge bootable sparc cds.
    - Add kernel 2.6 on i386 cds, remove it from the exclusion list.
    - Add support for booting 2.6 as well as 2.4 to the first i386 cd.
    - Add dirty temporal workaround for saving space on netinst images.
      This should be fixed in a proper way when time permits.
    - Make fast_sums ignore md5sums of files not in the pool directory.
      Closes: #247889
    - Add support for sarge bootable mipsel cds (delo based), needs work.
    - Fix the dirty workaround bug that was adding debs to businesscards.
    - Add 2.6 support to powerpc cds.
    - Add yaboot to powerpc netinst cds as debootstrap no longer adds it.
    - Update boot-sparc not to depend on a kernel version.
    - Remove ramdisk_size param of silo.conf.
    - Add initrd-tools to sparc di+k list.
    - Generate PPC CD 1 with -chrp-boot. Closes: #252667
    - Increase max catalog size on PPC DVDs. Closes: #252652
  * Bdale Garbee
    - shorten the command line in post-boot-hppa for sarge, as palo can't
      handle a command line longer than 127 chars right now
  * Otavio Salvador
    - Preprocess exclude files much like tasks files are. Closes: #247379
    - Check if the missing debootstrap-required is not included on
      base_exclude.
    - Fix preprocess of exclude files when EXCLUDE is not set.
  * Kenshi Muto
    - Add floppy/asian-root.img and floppy/access/* as i386 disk image.
  * Colin Watson
    - Add exclude-udebs-powerpc list with packages already in the initrd,
      along the same lines as exclude-udebs-i386. Saves about 11 megabytes.
    - Add bootable CD support for arm, following Vince Sanders' advice.
    - Include kernel-image-2.4-* metapackages for ia64.
    - Unexclude zlib1g-udeb, needed for ssh support in d-i.
    - Make sure quik is on the powerpc netinst CD; debootstrap no longer
      installs it.
    - Bump initrd-size to 10MB for powerpc 2.4. Current d-i initrds exceed
      that.
    - Remove -safe options from powerpc yaboot menu, as they caused
      combinatorial explosion. Instead, document video=ofonly in boot.msg.
    - Clarify powerpc boot.msg a bit.
    - Cope with debian-installer powerpc image rearrangement.
  * Sven Luther
    - fixed powerpc list so it includes the 2.6 kernels too as well as the
      power3 and power4 2.4 kernels.
  * Steve Langasek
    - Add alpha and mipsel bootloaders to debian-installer+kernel,
      so debootstrap doesn't have to install them

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 25 Mar 2004 07:33:23 +0100

debian-cd (2.2.17) unstable; urgency=low

  * Removed debian/conffiles (useless with debhelper 4).
  * Added aptitude on netinst CD (but not on businesscard CD).
    Closes: #220125, #219986
    It is already on CD1 of a normal CD set.
  * Kenshi Muto
    - Add jfbterm, unifont into forcd1, d-i+kernel (second stage of
      debian-installer needs them).
    - Add console-cyrillic, console-terminus, hotplug, iso-codes into forcd1,
      d-i+kernel.
  * Joey Hess
    - Add "expert" mode to isolinux.cfg for sarge.
    - Remove pump-udeb from all udeb_includes; netcfg depends on and
      uses dhcp-client-udeb.
    - Add appropriate kernel-pcmcia-modules package to
      debian-installer+kernel task for i386.
    - Update the yaboot boot.msg to match the one in d-i cvs.
    - Update the yaboot.conf to add expert and expert-safe boot modes.
    - Link the d-i INSTALLATION-HOWTO into doc/, if it exists.
    - Add my exclude_udebs lists, for general and i386, and modify
      generate_di_list to not include udebs from those lists onto the
      cdrom, to save space on the netinst cds. Closes: #215469
    - Use the d-i docs in sid instead of the woody boot floppies docs.
    - Add pcmcia-cs-udeb to sarge's i386_netinst_udeb_include, to support
      pcmcia installs.
    - Remove console-keymaps from all udeb_includes; they are included
      on the cdrom initrds.
    - Switch from netcfg-static/dhcp to just netcfg.
    - Split udeb_includes for businesscard and netinst; netinst does not
      need choose-mirror, while businesscard does.
    - Add wireless-tool-udeb to udeb_include for i386 and powerpc netinst
      and businesscard images.
    - Add pcmcia-cs onto the generate-di+k_list, now that is is not
      autoinstalled by debootstrap.
    - Document vga=771 boot option for laptops with screen problems.
    - Add the debian-edu udebs to the exclude list for netinst CDs, and
      remove the deleted di-utils-devicefiles.
    - Update boot/sarge/boot-i386 to use the new d-i image names.
    - Use d-i boot screens from the debian-cd_info.tar.gz.
      Closes: #220612, #221186
    - Remove the netboot initrd from netinst CDs, since d-i builds a mini-iso
      with this initrd on it, and since the d-i help screen does not mention
      the net type.
    - Add xfsprogs and reiserfsprogs to generate_di+k_list.
    - Add lilo as well; it's not autoinstalled by debootstrap, but
      lilo-installer still uses it.
    - Increase the i386 isolinux ramdisk size to 10 mb; it's grown due to
      translatons and all the scsi drivers.
    - Drop lowmemcheck from the CD; it is in the initrd.
    - Add wireless-tools to generate_d-i+k_list
    - Remove the old partitioner from the CD for i386. (This should also be
      done for other arches for which it is not default)
    - Include all the powerpc kernels that d-i's base-installer currently
      could try to install on the CD.
    - Try to include some sparc kernels on the CD; it's probably better than
      including none..
    - Revamped the README.html, removing the old manual apt setup
      instructions, various references to woody, fixing the link to the LDP
      home page, dropping reference to the basically dead non-us section,
      removing confusing references to non-free being on the CD, dropping
      references to dselect, etc.
    - Fix layout of README.txt, adding missing <p>'s after headings.
    - Drop README.mirrors and README.non-US from the CDs.
  * Steve Langasek
    - Add fdisk-udeb to the list of needed debs for alpha
    - Use /dev/ram as the root device for aboot (alpha)
  * Petter Reinholdtsen
    - Updated tasks/README with new location of popularity-contest results.
    - Regenereated tasks/popularity-contest-sarge based on the current
      data.
    - Avoid acorn-fdisk, cfdisk-utf8 and lots of kernels on the first CD.
      It should be enough with one kernel package on the first CD.
    - Make generated debian-installer list easier to read by adding
      arch info at the end of an #ifdef block.
  * Santiago Garcia
    - Add DI_CODENAME variable make it posible to build cds with a special
      debian-installer version.
    - Make Makefile remove dedication files except for current version.
    - Update debian-installer.* tasks
    - Add hppa kernels to generate_di+k_list
    - Add sarge boot scripts for hppa

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 20 Aug 2003 20:17:06 +0200

debian-cd (2.2.16) unstable; urgency=low

  * Updated standards-version to 3.6.0.
  * Use debhelper 4 (build-depends on it, updated DH_COMPAT).
  * WARNING: potato is now mostly unsupported, some cruft has been
    removed that may have been useful for generating potato CDs.
  * Added debian-installer support. debian-installer is automatically
    used if $MIRROR/dists/$CODENAME/main/debian-installer exists.
    (however you have to require the inclusion of the udeb via the
    task mechanism, cf tasks/debian-installer for the current list)
  * Added all files for sarge (in tasks/ data/ and tools/).
  * Updated isolinux.bin from syslinux 1.75-1.
  * Tollef Fog Heen:
    - Make it possible to exclude contrib from the CDs. Useful if you only
      have a mirror of main.
    - The names of the bootable images have changed on
      people.d.o/~tfheen/d-i/images/daily, update download scripts to reflect
      that.
  * Petter Reinholdtsen:
    - Add CONTRIB flag to debian/CONF.sh.
    - Add support for BASE_INCLUDE and BASE_EXCLUDE, making files
      cdrom/.disk/base_include and .../base_exclude used by
      debian-installer.
    - Document BOOTDISKS.
    - Make disk number available in tools/add-bin-doc.
    - In woody, keep the time stamp of smb.bin when copying it to CD.
    - Add support for UDEB_INCLUDE and UDEB_EXCLUDE, making files
      cdrom/.disk/udeb_include and .../udeb_exclude used by
      debian-installer.
  * Apply patch from Petter Reinholdtsen for inclusion of
    Recommends/Suggests from the base system. Closes: #106903
  * Apply nice patch from Santiago Garcia Mantinan for building
    "netinst CDs" !
  * Don't check dependencies for udebs, they tend to be broken
    and we still want them on the CD.
  * Put good default values for UDEB_INCLUDE based on the value of
    INSTALLER_CD.
  * Many updates on the tasks files by Josip Rodin. Removed useless packages
    from sarge CD1... and so on.
  * Updated hfs.map with .sit info (for powerpc arch). Closes: #186837

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 20 Aug 2003 19:59:54 +0200

debian-cd (2.2.15) unstable; urgency=low

  * Apply patch for mipsel boot support. Closes: #145318
    Thanks to Karsten Merker.
  * Updated README.sbm with more info provided by Santiago
    Marcia Mantinan.
  * Reordered some woody task files. Thanks to Philip Charles.
  * Added cpp in the Depends field. Closes: #145869
  * Fixed error message in Makefile. Closes: #146184
  * Updated tools/add_secured to work with all versions of md5sum
    (including the one that comes with dpkg >= 1.10).
  * Protect the call to add_secured by a stamp file. Closes: #147105
  * Provide a customised isolinux image. We don't need to
    recommend syslinux now.
  * Apply patch from Petter Reinholdtsen to put security updates on the cd.
  * Apply patch from Petter Reinholdtsen to preserve timestamps, making
    build.sh being able to run with -e set, report reserved space and
    the space debootstrap needs.  Also, handle boot-floppy directories
    without docs.
  * Make sure discover, read-edid and mdetect are on the first CD if
    possible.

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 17 Sep 2002 21:18:05 +0200

debian-cd (2.2.14) unstable; urgency=high

  * Updated the script to update tasks/base-woody. Closes: #138651
  * Anne commited stuff for inclusion of a local security.debian.org.
  * Added NOSUGGESTS in a similar way than NORECOMMENDS. Thanks
    to Petter Reinholdtsen <pere@hungry.com>.
  * Added "decompacted language packs" to the bootable CDs.
    Closes: #139179
  * Corrected name of kernel s/linux/linux.bin/ (why the hell
    do they need to change that name now ...). Closes: #139503
    Change has been made for arches where the latest bf are
    available. More may need to come for arches like sparc
    which are catching up with bf.
  * More changes of kernel name in anticipation of the upcoming
    boot floppies for sparc & alpha.
  * Change the order of flavors in the i386 CD set. First is "idepci",
    second "compact", third "bf2.4" and fourth the old default one. At
    least we have the language chooser on the first CD but it's still
    2.2 based. Reworked the MULTIBOOT code to take this into account.
  * Added capability to generate DVD-sized images. Use bc to calculate
    disk sizes in build.sh and build_all.sh, and use the textutils
    version of md5sum to avoid missing large file support in dpkg
    version. Specify the output image sizes in CONF.sh
  * Added ISOLINUX code (export ISOLINUX=yes in CONF.sh); this provides a
    "rescue floppy like" boot screen that allows choosing between kernel
    images, rather than loading the rescue disks directly from the boot
    sector.
  * Removed obsolete local-variables section from changelog.
  * Added default values into CONF.sh for isolinux support.
  * Change again the order of the boot images for i386.
    1: multiboot (isolinux) 2: vanilla 3: compact 4: idepci 5: bf2.4
  * Put TERM=vt102 for vanilla flavor as it seems to fix the borders
    of the boxes in a few cases.
  * Improved the test to see if we want non-free. Instead of -n "$NONFREE"
    it's now "${NONFREE:-0}" != "0" (same for EXTRANONFREE). Maybe
    should we do the same for the other boolean environment variables like
    LOCAL, SECURITY, SECURED ...
  * Changed the test for ISOLINUX and MULTIBOOT to be coherent with the other
    boolean variables.
  * Dropped old el-torito multiboot support. Documented the choice of
    isolinux in README.devel.
  * added ramdisk_size=8192 to palo commandline for hppa
  * Added empty boot-mips & boot mipsel.
  * Updated boot-alpha to conditionalize the inclusion of APB.
  * Reworked boot-ia64 to use hardlinks and so 1_NONUS.raw is built properly.
  * Reworked post-boot-hppa to hardcode path to palo, and to ensure
    1_NONUS.raw is built properly.
  * Added Smart Boot Manager image for people who want to boot ISOLINUX
    image on machine with BIOS which don't support them.

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 28 Apr 2002 15:52:32 +0200

debian-cd (2.2.13) unstable; urgency=low

  * Add jigdo generation support (see README).
  * Automatically add packages listed by local debootstrap. Closes: #131820
  * Adapted to new s390 boot-floppies 3.0.19 directory structure (Stefan
    Gybas <sgybas@debian.org>).
  * Updated boot-i386 for the boot-floppies 3.0.19.
  * Don't include the base-images-* directories on the CD. They
    are meant for people wishing to install by floppy (who download the
    floppy images from the net).
  * Corrected the priority to match the priority given in the override file.
  * CDs with .disk/kernel_installable have the disks-<arch> directories
    and those with .disk/base_installable have all the packages required
    by debootstrap.
  * Updated base-woody with debootstrap 0.1.17. Closes: #138357

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 16 Mar 2002 19:53:41 +0100

debian-cd (2.2.12) unstable; urgency=low

  * Get it right this time with the MULTIBOOT test ... Closes: #127234
  * Correct spelling mistake in README.devel. Closes: #127726
  * Make the log output more consistent and offer the possibility
    to not force the inclusion of recommended/suggested packages.
    Thanks to Petter Reinholdtsen for the patches.
    Closes: #127964, #127968
  * Undef some automatic variable substitution (like i386)
    of cpp causing problems while generating tasks files. Closes: #129044
    Thanks again to Petter Reinholdsten.
  * Don't fail if Contents-$ARCH files are missing. Closes: #129166

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 29 Dec 2001 19:57:23 +0100

debian-cd (2.2.11) unstable; urgency=medium

  * Changed "==" test by "=" test that works with ash also. Closes: #125727
  * Corrected the rules files to remove the .#* files of CVS merges.
    Closes: #125728
  * Corrected the documentation. Closes: #125729
  * Complains about missing Release files. Closes: #126076

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 16 Dec 2001 04:34:03 +0100

debian-cd (2.2.10) unstable; urgency=low

  * first test of multi-boot cdimage for i386 disk #1
    You must export MULTIBOOT="yes" in CONF.sh  to enable this feature. -jwest
  * Removed "ide" boot floppy's flavor. Closes: #120415
  * Added support for s390 (Jochen Röhrig <jr@debian.org>).
  * Documentation about the fact the environment variables may
    pollute your environment after a debian-cd run. Closes: #123289

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 26 Nov 2001 18:21:50 +0100

debian-cd (2.2.9) unstable; urgency=low

  * Added i386 boot blocks for udam100-ext3 to disk 5 -jwest
  * Added i386 boot blocks for reiserfs to disk 6 - jwest
  * Drop support of slink. Drop support of dpkg-multicd.
  * Uses apt-ftparchive and no more dpkg-scan{packages,sources}.
  * Does use the extra override file. Closes: #113794
  * Remove the use of unzip in boot-alpha. Nobody should use unzip...
  * Update yaboot.conf and ofboot.b to conform to current (1.3.4) yaboot (powerpc).
  * If using BOOTDISK= pick up docs from there also (Richard Hirst).
  * Synced tasks/base-woody with debootstrap 0.1.15.8.
    Closes: #119099
  * Add kludgy yaboot.conf for potato's broken yaboot.
  * ia64, only first disk is bootable, and use symlinks in /install
    to save space.  rescue.bin is 10MB on ia64.  (Richard Hirst)

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 16 Sep 2001 14:57:22 +0200

debian-cd (2.2.8) unstable; urgency=low

  * Be less restrictive on non-US section name (ie accepts non-us too).
  * Add support for ia64 (Richard Hirst).  Closes: #110553.
  * Update the "Components" field of the Release files. Was
    causing a bug in debootstrap.
  * Add support for hppa (Richard Hirst).
  * Removed the last reference to unzip. No more references to lha
    either. So debian-cd can go in main.
  * Changes for powerpc were made by Ethan Benson. Closes: #104333

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 19 Aug 2001 13:42:27 +0200

debian-cd (2.2.7) unstable; urgency=low

  * Minor fix in tools/woody/installtools.sh
  * Disabled the secured stuff by default. Make it configurable
    with a environment variable.
  * Various other little changes (in particular wrt LOCAL handling).

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 24 Jul 2001 18:56:33 +0200

debian-cd (2.2.6) unstable; urgency=medium

  * Updated tasks/base-woody to be in sync with debootstrap 0.1.15.
  * Improved documentation about Official images. Closes: #101578
  * Build woody CD set by default now. Updated CONF.sh accordingly.
  * Use Digest::MD5 instead of MD5. Depends on libdigest-md5-perl
    instead of "libdigest-md5-perl | libmd5-perl". Closes: #104184

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 19 Jun 2001 00:43:04 +0200

debian-cd (2.2.5) unstable; urgency=low

  * Remove (obsolete) -a from mkhybrid call. Changed mkhybrid to mkisofs
    since mkhybrid has been superseded by mkisofs. Closes: #97439
  * Only includes latest version of a package if a newer version
    is provided in a local repository.
  * Includes on CD1 packages needed by debootstrap. Closes: #100353

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 19 May 2001 15:15:29 +0200

debian-cd (2.2.4) unstable; urgency=medium

  * All (i386) CD's now have a different kernel from boot-disks.
  * Updated pi-makelist, now excludes all of the sparc live filesystem.
  * Added Recommends: debianutils because pi-makelist uses tempfile(1)
    since 2.2.3; also mentioned this in the debian-cd/YACS README.
  * Some minor updates/rewordings in CD's top-level README.
  * Typo. tools/add_dirs line #26 changed to if [ -n     --jwest
    Closes: #79902
  * Include a new interactive boot.bat. Closes: #83471
  * Corrected tools/apt-selection. Closes: #79903
  * Does correctly manage pools wrt Packages files.
  * Now depends on grep-dctrl.
  * Now creates a $CODENAME-secured tree with Release and Release.gpg
    files from the archive. Closes: #93612
  * Some esthetic corrections to the Makefile.
  * Updated the popularity-contest file.
  * Redesigned and updated README to match new www.debian.org style.
  * Added exclude feature for source packages and un-exclude feature
    for binary packages.
  * Updated and reorganized package/popularity lists, as produced by the
    "Useful CD 1 Project". More info in tasks/README.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 28 Apr 2001 23:56:14 +0200

debian-cd (2.2.3) unstable; urgency=low

  * Fixes several bug caused by changes in the way binary-all packages
    are referred to in the Packages files. Closes: #76178
  * Does now handle sources for a local repository correctly. Closes: #76179
  * Fix a bug in make extras. Closes: #76181
  * Added a commodity local symlink for old-fashioned tools like multi_cd
    which want local packages in dists/local/local. Closes: #76186
  * Many thanks to Vladimir Michl who provided me patches for the 4 bug
    mentionned above.
  * Changed mirror_check to use case insensitive pattern matching for
    detecting headers. Closes: #70838
  * Documentation updates about the SIZELIMIT stuff and bootable CDs.
    Closes: #72067, #68913
  * There's still no good reasons to remove the unstable symlink.
    Closes: #68477
  * OUT doesn't have to be a relative path. In fact, the default shipped
    in the CONF.sh file is an absolute path and it does work.
    Closes: #75406

 -- Raphael Hertzog <hertzog@debian.org>  Sat,  4 Nov 2000 15:36:10 +0100

debian-cd (2.2.2) frozen unstable; urgency=low

  * Still targeted to frozen. Documentations (README.html on the CD) updates
    & other little changes.
  * Fixed targets bin-image and src-image to use CD$(CD) instead of $(CD).
  * Added "." after -F argument for symlink farm user. Closes: #66599
  * Misc changes for woody i386 bootdisks --jwest
  * Fixed the patch from Joey. :) ${LOCALDEBS:-$MIRROR} instead of
    ${LOCALDEBS:-MIRROR}. s/CODNAME/CODENAME/ too. Closes: #66737
  * This bug is unreproducable and the submitter didn't respond.
    Probably a local configuration error. Closes: #66526

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 30 Jun 2000 17:50:16 +0200

debian-cd (2.2.1) frozen unstable; urgency=low

  * Should go to frozen as well...
  * build.sh,build_all.sh: Better guess at size of bin CD 1
  * Added the "needed" task file as tasks/forcd1.
  * Update for m68k, they should at least build now.
  * Include upgrade-{i386,sparc,alpha,m68k} dir when available.
  * Updated README.html.in (new version provided by Anne Bezemer).
  * Added EXTRANONFREE support. It allows to generate an extra non-free CD.
    The first CDs are totally free and the last(s) CD(s) contains
    only non-free and possibly some files from contrib.
  * Added extra file to help fine tune the CD sizes per archs
  * Edited boot-alpha to work (I hope) based on what was available in the
    README.txt in boot-floppies
  * Modified build_all.sh so that it puts each arch under a subdir and
    modified imagesums/pi-makelist to support the subdirs
  * Added FORCENONUSONCD1 support - move all non-US packages/sources to
    CD#1 of the set. We then make 2 copies of this, one with non-US and
    one without. Useful for people wanting to create non-US and US-safe
    CDs without having to spend so much disk space.
  * Added patch from Joey Hess for LOCALDEBS support. Closes: #66447
  * Added patch from Michael Schlueter (corrected cpp call when
    FORCENONUSONCD1 was not used)

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 20 May 2000 23:42:58 +0200

debian-cd (2.2.0) frozen unstable; urgency=low

  * The final debian-cd for potato ! Must go to frozen ...
  * Changes to tools/potato/boot-sparc for new bootdisk
    organization. --jwest
  * Changes to /tools/boot/potato/boot-i386 for new bootdisks --jwest
    Closes: #59250, #64124
  * Added missing semi-colon in the target pi-makelist.
  * /install/boot.bat not working because of missing loadlin.exe fixed
  * Updates to sparc bootable
  * Updates to woody/boot-i386 --jwest
  * Add powerpc support for potato (dan).
  * Incorporated some documentation (courtesy of J.A. Bezemer) :
    README.html & README.txt
  * Make translated documentation more easily available. Closes: #64276
  * Added arm support (easy, they don't have bootable CD).

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 18 May 2000 23:59:49 +0200

debian-cd (2.1.92) frozen unstable; urgency=low

  * This version goes to frozen since it's used for building potato CD.
    Another one will follow once we have the final boot-floppies.
    But I already upload this one because I'm getting complaints since
    the old package doesn't work with the actual boot-floppies available
    on the mirror...
  * Added files for woody (yes, people already burn woody CD images)
  * Make the second CD bootable on i386 with the "compact" image.
  * Changes to installtools.sh, change to check for documentation
    directory name by $ARCH.
    -> This change will have to be removed when all arch will have synced
    boot floppies.
  * Changes to tools/potato/boot-i386 for support of the 2.2.3 bootdisks.
    Closes: #53529 #58304
  * In Makefile, if there are multiple versions of the
    bootdisks in the source tree, the section "boot:" seems to get
    confused. Not fixed. Temporary solution, move old i386 boot
    disks out of the source archive.
  * Added a file tasks/popularity-contest listing packages by order of
    usefulness (results given by the popularity contest of course). This
    file is included at the end of the Debian_potato task in order to
    include the packages that are widely used on the first CD if possible.
  * Added a bunch of set -e.
  * Added pi-makelist target to generate the *.list files used by the
    Pseudo Image Kit. Needs isoinfo in the cdwrite package.
  * Updated README and README.devel. Explained that the main source
    is on CVS and that patch should apply on the CVS tree not on the
    source package available on the Debian FTP.
  * Added possibility to include local packages on the CD set. Documented
    it. Closes: #50640
  * Documented the fact that TMP path must be on the same partition than
    the mirror. Closes: #59524

 -- Raphael Hertzog <hertzog@debian.org>  Tue,  7 Mar 2000 19:03:44 +0100

debian-cd (2.1.91) unstable; urgency=low

  * Splitted the boot scripts for slink & potato. Updated the Makefile
    to handle this.
  * Updated the tasks/Debian_potato to use the new task-* packages.
  * New boot-i386 which does use resc2880.bin (the tecra image has
    been removed since it does no more exist in the latest boot-floppies).
  * Can now build CD with bootdisks taken from somewhere else than
    the mirror (allow you to use your own boot floppies, notably those
    built with translated documentation).
  * The documentation from the boot-floppies are now installed
    in /install and /doc by the scripts tools/$CODENAME/installtools.sh
    It was needed since the documentation of the boot-floppies does
    differ from one dist to another ...
  * Removed some cruft which is no more needed (master for potato,
    status.i386).
  * Updated README to explain that the mkhybrid package in Debian
    does support the -F option. Closes: #50141

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 11 Nov 1999 20:50:26 +0100

debian-cd (2.1.90-1) unstable; urgency=low

  * Moved to contrib because of the unzip and lha dependencies.
  * Corrected the boot-m68k script (bvme600 -> bvme6000).
  * YACS 0.5 :
  * ----------
  * tools/add_dirs: don't create section subdirectories for non-US.
  * tools/*: full slink compliance. Should build slink disk even with
    non-US. Thanks to the help of Filip Van Raemdonck <mechanix@dma.be>.
  * Makefile: added an upgrade target called when building
    official_images. It will call tools/$CODENAME/upgrade.sh if possible.
    Created this upgrade.sh file for slink.
  * YACS can/should generate complete slink images with this release.
    Please test. In particular for non-i386 CD images. I want to check
    if the scripts to make CD bootables are (still) working.
  * tools/apt-selection: removed some bashisms.
  * Many data has been splitted by codename. This is to allow
    us to build slink and potato CD without much troubles.
  * Updated the master file for potato. Added the old one for slink.
  * Status file is now automatically generated when a provided one
    is not available (data/$CODENAME/status.$ARCH).
  * build.sh build_all.sh: convenience scripts to build CD images.
  * YACS 0.4 :
  * ----------
  * New status file for potato i386.
  * When including packages listed in the status file check that they
    exist before.
  * Call dpkg-scansources for generating Sources.gz file on the source
    CD. And depends on dpkg-dev (>= 1.4.1.6) to be sure that we have it.
  * Add dependency to libdigest-md5-perl.
  * list2cds: try to select all suggested/recommended packages not only from
    packages explicitely selectionned but also from packages listed
    in dependencies.
  * list2cds: many little checks added, now generates a log.list2cds
    file (in the temp dir).
  * YACS 0.3 :
  * ----------
  * This version has herited nothing from the previous debian-cd
    package only the changelog has been added.
  * It can now build sources CD.
  * This package does now replace slink_cd and the old debian-cd.
    I'll close the bugs (after checking that the new debian-cd behaves
    correctly with the bug report situation) affected to those packages.
  * The Packages.cd files are generated correctly (the same way than
    slink_cd did).
  * Added the good dependencies. Closes: #25710, #36109, #27758
  * Some bugs are no more applicable. Closes: #24708, #25195, #31044, #24418
    Closes: #36115, #36228
  * No source URL in copyright file since this is a Debian native
    package. Closes: #36111
  * Full GPL isn't included. Closes: #36113
  * Missing newlines added. Closes: #36114
  * The README is a good documentation for building CD. Closes: #17540
  * Added the support for hooks. Closes: #36112
  * Added a link index.html -> install.html. Closes: #38402
  * Files are better placed. Closes: #36110
  * Rebuilding the Contents file is of no use. And if you really need
    it, you can do it yourself with the hook system. Closes: #36116
  * Internationalization is a boot-floppies problem. Closes: #25210
  * Tried miniunz but it lacks important feature like -L ... still
    uses unzip. And recommends it.

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 29 Jul 1999 18:26:09 +0200

debian-cd (2.0.2) unstable; urgency=low

  * get rid of .html from the errata URL
  * add contents to README.official

 -- Philip Hands <phil@hands.com>  Fri, 24 Jul 1998 00:09:22 +0100

debian-cd (2.0.1) unstable; urgency=low

  * add the copyright/licence intro from the install docs to the main readme
  * add a reference to http://www.debian.org/2.0/errata.html to the main README
  * generally tidy up README's

 -- Philip Hands <phil@hands.com>  Thu, 23 Jul 1998 18:41:23 +0100

debian-cd (2.0.0) unstable; urgency=low

  * Suggest cdrecord (rather than Depend) since it's not needed to create
    images, only to write them.
  * get rid of purge_duff_disks hack
  * fix timestamp to use 24 hour clock and GMT
  * add README.contrib to all CD images

 -- Philip Hands <phil@hands.com>  Wed, 22 Jul 1998 12:16:16 +0100

debian-cd (1.99.18) unstable; urgency=low

  * add dependencies (closes: #9072, #19116)
  * add $(init-dists) for contrib (closes: #24465)
  * make check_mirror.pl able to deal with md5sums.gz (closes: 24418)

 -- Philip Hands <phil@hands.com>  Fri, 17 Jul 1998 22:06:16 +0100

debian-cd (1.99.17) unstable; urgency=low

  * add -p option to tecra boot mkdir
  * add missing define for ``install-source-x11''
  * fix making of .mkisofsrc

 -- Philip Hands <phil@hands.com>  Wed, 15 Jul 1998 15:16:48 +0100

debian-cd (1.99.16) unstable; urgency=low

  * add hack to get rid of old 2.0.6 disks

 -- Philip Hands <phil@hands.com>  Wed,  8 Jul 1998 17:46:18 +0100

debian-cd (1.99.15) frozen unstable; urgency=low

  * separate boot/ dir to get boot image near the start of the ISO image
    resulting in bootable CD's for all (or so I hope)
  * rework makefiles using defines instead of targets, and generally tidy up
  * fix image-md5sum and image-date targets

 -- Philip Hands <phil@hands.com>  Wed,  8 Jul 1998 13:29:52 +0100

debian-cd (1.99.14-4) frozen unstable; urgency=low

  * make mkisofs-source use resc1440tecra.bin as boot image (rather than the
    cdboot.bin hack)

 -- Philip Hands <phil@hands.com>  Tue,  7 Jul 1998 14:13:54 +0100

debian-cd (1.99.14-3) frozen unstable; urgency=low

  * fix typo in mkisofs-source target

 -- Philip Hands <phil@hands.com>  Tue,  7 Jul 1998 14:03:34 +0100

debian-cd (1.99.14-2) frozen unstable; urgency=low

  * use the normal resc1440 images for CD booting, since they are now built
    with syslinux -s
  * get rid of binary-all from the source image

 -- Philip Hands <phil@hands.com>  Tue,  7 Jul 1998 13:51:23 +0100

debian-cd (1.99.14-1) frozen unstable; urgency=low

  * This should really go in hamm, so that the scripts to build the CD's
    end up on the CD's.  Of course this will probably require a few attempts
    before the scripts here settle down, because other changes are still being
    made to hamm that affect these.
  * edit some README's and Configuration defaults.  Done with a -1 version
    so my diff's come out in the diff file
  * put the hamm --> ../hamm link back into dists

 -- Philip Hands <phil@hands.com>  Fri,  3 Jul 1998 11:31:26 +0100

debian-cd (1.99.14) stable unstable; urgency=low

  * use Andreas Jellinghaus's makefile system for building CD's (starting with
  * 0.14)

 -- Philip Hands <phil@hands.com>  Tue, 30 Jun 1998 22:15:59 +0100

debian-cd (1.0.0) stable unstable; urgency=low

  * What was in vars.sh is now individual files per variable in the
    vars/ directory.

  * Various edits from the experience of making the Official CDs.

 -- Bruce Perens <bruce@debian.org>  Sun, 10 Aug 1997 21:02:17 -0700

debian-cd (0.1.6) frozen unstable; urgency=low

  * Remove quotes from strings in .mkisofsrc, they were being
    put on the disc. Pad filesystems for Linux read-ahead bug.

 -- Bruce Perens <bruce@debian.org>  Fri, 13 Jun 1997 10:08:42 -0700

debian-cd (0.1.5) frozen unstable; urgency=low

  * Put vars.sh in debian/conffiles, so that a user's altered one
    will not be over-written.

  * boot.bat was broken.

 -- Bruce Perens <bruce@debian.org>  Fri, 30 May 1997 10:46:33 -0700

debian-cd (0.1.4) frozen unstable; urgency=low

  * Add COLOPHON.txt, a readme about how the CD was produced.
    This is my last release before going on vacation, if anything
    needs to be fixed in this package for 1.3, someone else must
    fix it.

 -- Bruce Perens <bruce@debian.org>  Wed, 30 Apr 1997 12:35:02 -0700

debian-cd (0.1.3) frozen unstable; urgency=low

  * Add SOURCE.txt, a readme about source-code availability, to the
    binary CD. Make distribution both frozen and unstable.

 -- Bruce Perens <bruce@debian.org>  Wed, 23 Apr 1997 23:22:37 -0700

debian-cd (0.1.2) unstable; urgency=low

  * Add El Torito bootable-CD patches from Helmut Geyer.

 -- Bruce Perens <bruce@debian.org>  Sun, 23 Apr 2000 10:31:08 -0700

debian-cd (0.1.1) unstable; urgency=low

  * Change architecture to "all".

 -- Bruce Perens <bruce@debian.org>  Fri, 18 Apr 1997 22:51:36 -0700

debian-cd (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Bruce Perens <bruce@debian.org>  Fri, 18 Apr 1997 22:20:51 -0700
